#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_nfit_uuid, "", "");
KSYMTAB_FUNC(acpi_nfit_ctl, "_gpl", "");
KSYMTAB_FUNC(nfit_get_smbios_id, "_gpl", "");
KSYMTAB_FUNC(__acpi_nvdimm_notify, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_desc_init, "_gpl", "");
KSYMTAB_FUNC(acpi_nfit_shutdown, "_gpl", "");
KSYMTAB_FUNC(__acpi_nfit_notify, "_gpl", "");

SYMBOL_CRC(to_nfit_uuid, 0x06848c60, "");
SYMBOL_CRC(acpi_nfit_ctl, 0x192ec422, "_gpl");
SYMBOL_CRC(nfit_get_smbios_id, 0x499bbf57, "_gpl");
SYMBOL_CRC(__acpi_nvdimm_notify, 0xf3a26048, "_gpl");
SYMBOL_CRC(acpi_nfit_init, 0x4ebeda8d, "_gpl");
SYMBOL_CRC(acpi_nfit_desc_init, 0x11b85404, "_gpl");
SYMBOL_CRC(acpi_nfit_shutdown, 0x4639bcda, "_gpl");
SYMBOL_CRC(__acpi_nfit_notify, 0xe8b50308, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6376330f, "nvdimm_region_notify" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x9ef9b55c, "nd_region_provider_data" },
	{ 0x242c73ce, "nvdimm_bus_add_badrange" },
	{ 0xc39bef0e, "param_ops_ulong" },
	{ 0xa01a8d9b, "nd_cmd_bus_desc" },
	{ 0xd31363e4, "devm_kmalloc" },
	{ 0xc6cdcf44, "to_nvdimm" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x56a4d048, "__nvdimm_create" },
	{ 0xc4bc6c80, "to_nd_region" },
	{ 0x3d6676d8, "nvdimm_bus_check_dimm_count" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x87567d93, "acpi_dev_remove_notify_handler" },
	{ 0x5e50c0a2, "__dynamic_dev_dbg" },
	{ 0xaa6cd7c7, "kernfs_notify" },
	{ 0x39111ad3, "to_nvdimm_bus" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xffc96d85, "dev_driver_string" },
	{ 0x4d118ea7, "__acpi_bus_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0xa2865128, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x825fe1a2, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0xc2c5802, "work_busy" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xd8826659, "acpi_dev_install_notify_handler" },
	{ 0x55642015, "to_nd_desc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0x6665178, "nd_cmd_out_size" },
	{ 0xb7c0f443, "sort" },
	{ 0xb501b2df, "nd_cmd_dimm_desc" },
	{ 0xc66253ef, "nvdimm_bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xc23f36e2, "kernfs_find_and_get_ns" },
	{ 0x21dec751, "nvdimm_name" },
	{ 0xa8397d38, "to_nvdimm_bus_dev" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x94b7c348, "nvdimm_volatile_region_create" },
	{ 0xb5260590, "nvdimm_provider_data" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xdcb764ad, "memset" },
	{ 0x7c029025, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x401a8429, "nvdimm_in_overwrite" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x12ab9268, "nvdimm_to_bus" },
	{ 0xc2492319, "nvdimm_bus_register" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf0ac61a1, "nd_region_dev" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0xec722655, "nd_cmd_in_size" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82f08d36, "param_ops_bool" },
	{ 0x2db7dac0, "acpi_bus_unregister_driver" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x9ae84d6b, "kernfs_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x17d957bf, "nvdimm_pmem_region_create" },
	{ 0xa1267443, "nvdimm_kobj" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x39dc67b2, "__devm_add_action" },
	{ 0xaf076aec, "nd_fletcher64" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x77358855, "iomem_resource" },
	{ 0xf78cac47, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x52b6158, "nvdimm_cmd_mask" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");

MODULE_ALIAS("acpi*:ACPI0012:*");

MODULE_INFO(srcversion, "78E90A0F5CEFD78B44C06E1");
MODULE_INFO(rhelversion, "9.7");
