#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xa69ebe7d, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xbf673c36, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x42ecd041, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xd3e14025, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xfbb0c618, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x4b56f080, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x136293f4, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xd3cc70d4, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x550539b4, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x03f20b72, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x0c4c3b2b, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x448f013a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xdbb06241, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x074f4c3b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x2c1b6ec9, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x65ace278, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xd69891d9, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x5b0606ac, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x51c7ce13, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xbb465c98, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xbdfe21fe, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xd9acdea1, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xfbae3a16, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x5f1e7f72, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xf2339332, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x42acdee3, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x46a49797, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x1beebb9f, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x22d20ef0, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x42990294, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xd4c7025d, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x8867e063, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xb6dac82b, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x9ea318b7, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xef75f8a7, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x0eddd6c2, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x40e30ff2, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xd5546ee8, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x6ab10dd1, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x2db66613, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xb1160243, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x81a2b5c1, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xf41c0f24, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x5c40a90f, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xa8de6cad, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x4aa86852, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x223aaf57, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xf5266a04, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x8a589701, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xaf439a3c, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xdba89564, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x6f04f1eb, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xf09ac24f, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xb30c2d05, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xdbbc1f32, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x3460790d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xb1b4865b, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xc3cdb561, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xac8b3875, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xb4a96ec2, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x30977a16, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xb9d61367, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x563ced27, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x07b69ce7, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xe5c94dad, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x8fd111c2, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xdd37731d, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xe59c313b, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x7dc1b3ae, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x5ed1af87, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xcb8e1050, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xaf0a7aa7, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x488a4dc6, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x5c5b7ab3, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x384e4015, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x8fa648ba, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x45e2d456, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x84e49def, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xab824c77, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xf7fe919c, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xfbb70e0d, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x8311b1ca, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x7632ab75, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xaa1bd8d8, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x289a62f7, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x8d4510f5, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xb5fc2e74, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x3d43dddb, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x8c1d21ed, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x1347ddbb, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xa8a2eb4d, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xcd453d27, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xa0e8ad57, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xdc954a2b, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xa4288289, "");
SYMBOL_CRC(drm_flip_work_queue, 0xfa1bcb7e, "");
SYMBOL_CRC(drm_flip_work_commit, 0xff890c74, "");
SYMBOL_CRC(drm_flip_work_init, 0x31862c6e, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x9a61cbab, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x27e8cde2, "");
SYMBOL_CRC(drm_fb_swab, 0x574134ed, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x032c7efd, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x9b9f9f85, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x8e030024, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x086bd0ea, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xde5b3fd7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x1cd3813e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xa84ec7d0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xe8d3cae1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xb1b35d58, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x2ef4e810, "");
SYMBOL_CRC(drm_fb_blit, 0xd2ae51a1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x7b76dccd, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xaf1432e3, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x90aadaff, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x7a229aa8, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xa768c2e9, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xd0600d08, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xd98b5b82, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x90e7e0e0, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xbf2ff354, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x74cf86d6, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x58b13df9, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xb519f3e3, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x908345fb, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x3a61076f, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xa11ff1ad, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x0007eb33, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x59bcfc21, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x49f78c0e, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x950878b3, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x4c5e00f4, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x27fc1ffb, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xf1ea8354, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x7b97a4bc, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x2cdbad5c, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xd80fee6d, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x92303fe8, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xd752d324, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x73d859b1, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xe67abac1, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xa9294e7e, "");
SYMBOL_CRC(drm_crtc_init, 0xd8d65d07, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xf82c542b, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xfd24d0a0, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x0e2cf8d3, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x8d9055f5, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x625a0337, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x43e4a120, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x92f0fcb8, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xf9bfffad, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xa2479418, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xd0565bae, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x6bf8d3ac, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xed7ecc79, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x9a7d508f, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x7fc12127, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0x79ae1c47, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xaee130a6, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x7183be29, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x0805d7a9, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x3ced8655, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x730c8e2f, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x9e1a121a, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x8413324e, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x3b0489b4, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xc4631a9e, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xf6c14f37, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xa659bf97, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x4cc81e6c, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x6177c13f, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xe041aa11, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xe322a797, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x8cd8e327, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x3c92031d, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x67983cca, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x2de3b7ab, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xbda94981, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x3eae53b5, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x6a904c89, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x315a680e, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xf8b311f1, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0x7f29d1cf, "");
SYMBOL_CRC(drmm_of_get_bridge, 0x07e8239f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4441e42d, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x4ce5f13f, "drm_framebuffer_cleanup" },
	{ 0xcd994388, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x75330ccc, "drm_panel_get_modes" },
	{ 0x4e6db30e, "drm_gem_vmap_unlocked" },
	{ 0xc66b7d5c, "try_module_get" },
	{ 0xdfd5c34b, "drm_connector_list_update" },
	{ 0x5a846f08, "drm_bridge_add" },
	{ 0xaf8e78a3, "drm_bridge_chain_mode_valid" },
	{ 0xa5244a13, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd31363e4, "devm_kmalloc" },
	{ 0xbe3aef15, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x421454a4, "drm_framebuffer_init" },
	{ 0xe09d2ca1, "drm_mode_validate_driver" },
	{ 0x5e32b42c, "drm_atomic_add_affected_planes" },
	{ 0x3a31f24c, "dma_buf_end_cpu_access" },
	{ 0xafdd0a4, "drm_modeset_unlock_all" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb871ca44, "drm_mode_probed_add" },
	{ 0x5041c164, "drm_atomic_add_affected_connectors" },
	{ 0xa2d730b, "drm_gem_vunmap_unlocked" },
	{ 0x52839a5e, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x338c5306, "finish_wait" },
	{ 0x44998f35, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x2c65d1ea, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xf2552c96, "drm_mode_object_get" },
	{ 0xe467724b, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x73b81953, "drm_crtc_cleanup" },
	{ 0x682440df, "drm_connector_list_iter_begin" },
	{ 0xdd79b1ec, "drm_mode_set_config_internal" },
	{ 0x88102cf0, "prepare_to_wait_event" },
	{ 0xecd7a1fa, "drm_encoder_cleanup" },
	{ 0x94d84244, "drm_modeset_acquire_init" },
	{ 0x972ffc06, "dma_fence_set_deadline" },
	{ 0xad8b7516, "drm_warn_on_modeset_not_all_locked" },
	{ 0x489507c6, "drm_plane_get_damage_clips" },
	{ 0x5cde3256, "devres_add" },
	{ 0x2cbc77b8, "dma_fence_wait_timeout" },
	{ 0x469b5577, "drm_add_modes_noedid" },
	{ 0xe5e6b03d, "drm_bridge_remove" },
	{ 0x15bf1491, "drm_mode_object_put" },
	{ 0xffc96d85, "dev_driver_string" },
	{ 0x6de2fd5a, "drm_crtc_vblank_get" },
	{ 0x538efe1, "drm_gem_object_lookup" },
	{ 0x9b36bd7a, "drm_crtc_send_vblank_event" },
	{ 0xc150b081, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x70e61e60, "drm_atomic_normalize_zpos" },
	{ 0xc8c19e48, "drm_edid_connector_update" },
	{ 0x9056f092, "drm_sysfs_hotplug_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8945ce6, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54dcec4, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd6a59cef, "drm_connector_list_iter_end" },
	{ 0x1736c7fd, "drm_atomic_set_crtc_for_plane" },
	{ 0xb4f3c370, "drm_mode_prune_invalid" },
	{ 0x9c491aef, "drm_client_dev_hotplug" },
	{ 0x6297e42, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xef675b7d, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xf6d45d1d, "module_put" },
	{ 0xcbdea11, "dma_buf_begin_cpu_access" },
	{ 0x64bcb41e, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x41ca336a, "drm_crtc_next_vblank_start" },
	{ 0xc0ae2273, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x5bd7c4de, "drm_modeset_lock" },
	{ 0x7d39c99f, "drm_modeset_unlock" },
	{ 0x42894502, "drm_panel_disable" },
	{ 0x58d68023, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x73c17266, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x96dcab5, "devm_kfree" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0x1ceecd9b, "drm_writeback_cleanup_job" },
	{ 0x9d164051, "drm_modeset_lock_all_ctx" },
	{ 0x4c3146db, "i2c_unregister_device" },
	{ 0xae4089a9, "drm_atomic_set_fb_for_plane" },
	{ 0xa09af4d7, "__drm_universal_plane_alloc" },
	{ 0x4bc7aeb2, "drm_edid_connector_add_modes" },
	{ 0xd57916eb, "drm_probe_ddc" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xd7856228, "__devres_alloc_node" },
	{ 0xcc0e717b, "drm_edid_read" },
	{ 0xf3c08c50, "drm_crtc_commit_wait" },
	{ 0xeb4c95c8, "drm_dev_has_vblank" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xb21b25e, "__drm_atomic_helper_disable_plane" },
	{ 0x7effcd09, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc18f5d34, "drm_gem_handle_create" },
	{ 0x38d0a84a, "drm_atomic_set_crtc_for_connector" },
	{ 0xd1161130, "drm_analog_tv_mode" },
	{ 0x23d09dae, "drm_crtc_init_with_planes" },
	{ 0x5636c6ff, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x36161880, "drm_crtc_vblank_put" },
	{ 0xb7a12ef, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x241748fd, "__drm_dev_dbg" },
	{ 0xa8d4cded, "drm_plane_get_damage_clips_count" },
	{ 0xfc224308, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xebe17255, "drm_atomic_state_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0x7c029025, "_dev_warn" },
	{ 0x8c0dbec4, "drm_atomic_bridge_chain_post_disable" },
	{ 0x7da42df4, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x4e134c3f, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x1ae46308, "__drm_atomic_helper_set_config" },
	{ 0x9623b8c0, "mutex_trylock" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x2230210e, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x8a92ea4a, "drm_connector_cleanup" },
	{ 0x398e39b6, "drm_get_format_info" },
	{ 0x1eab2dbb, "drm_universal_plane_init" },
	{ 0x45d8e4cb, "drm_any_plane_has_format" },
	{ 0x462f8e5, "drm_connector_list_iter_next" },
	{ 0x9e485e17, "drm_modeset_acquire_fini" },
	{ 0xfffd08a4, "drm_encoder_init" },
	{ 0xc4898028, "drm_object_property_get_default_value" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82f08d36, "param_ops_bool" },
	{ 0x61a4f707, "drm_of_find_panel_or_bridge" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x17b78d3b, "drm_modeset_backoff" },
	{ 0x9fff9fc6, "drm_panel_prepare" },
	{ 0x3f547b1a, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x206ce3b2, "drm_atomic_get_plane_state" },
	{ 0x939e5ba4, "drm_atomic_bridge_chain_check" },
	{ 0xc603d5f2, "dma_fence_chain_init" },
	{ 0xf50f811b, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc2a711d3, "drm_property_blob_put" },
	{ 0xaaf78bc3, "drm_mode_destroy" },
	{ 0xdde6ca95, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x529f8ce7, "drm_set_preferred_mode" },
	{ 0xa84f705b, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x6c82c5fb, "drm_atomic_state_clear" },
	{ 0x86e557ea, "drm_mode_config_reset" },
	{ 0xa4d518c9, "drm_property_create_blob" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0xf870bda3, "drm_modeset_drop_locks" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xaff31fb7, "drm_atomic_bridge_chain_disable" },
	{ 0xc228b9ff, "drm_mode_create_from_cmdline_mode" },
	{ 0x2d904264, "drm_mode_validate_ycbcr420" },
	{ 0xc88492, "drm_atomic_nonblocking_commit" },
	{ 0xf2ce89eb, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xebfeeff6, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x1fc9da98, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0xb95b3938, "drm_atomic_add_encoder_bridges" },
	{ 0xc1eca0eb, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6b96f46d, "drm_sysfs_connector_hotplug_event" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "E6F29E0A47D8BCD515E367C");
MODULE_INFO(rhelversion, "9.7");
