#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x9bd149bc, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x0aa922ab, "_gpl");
SYMBOL_CRC(stm_data_write, 0xc6061f55, "_gpl");
SYMBOL_CRC(stm_register_device, 0xe32c9e08, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x7f7d40d0, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xbb6a2a6f, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xe54cdeee, "_gpl");
SYMBOL_CRC(stm_source_write, 0x8152230c, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xdebb8b22, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc66b7d5c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb43b7456, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x72681d98, "device_unregister" },
	{ 0xb796bee4, "pm_runtime_set_autosuspend_delay" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x43e4fcd6, "vm_iomap_memory" },
	{ 0xfabe10d3, "config_item_get" },
	{ 0x31c53140, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc53dcf6, "synchronize_srcu" },
	{ 0x5e50c0a2, "__dynamic_dev_dbg" },
	{ 0xe3cdc4ae, "configfs_unregister_subsystem" },
	{ 0xc33abd09, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0x1513438f, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xf6d45d1d, "module_put" },
	{ 0x3b48b2df, "compat_ptr_ioctl" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x14621c70, "init_srcu_struct" },
	{ 0x5d5e9f15, "down_write" },
	{ 0x9b7b9887, "up_write" },
	{ 0xb1a87879, "configfs_register_subsystem" },
	{ 0x1228589b, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x814cc343, "__srcu_read_lock" },
	{ 0xc7a8358f, "config_group_init_type_name" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0x9dd22df3, "class_unregister" },
	{ 0x1d60430f, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdcb764ad, "memset" },
	{ 0xbed6c969, "__get_task_comm" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x419cac4e, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x29e204b7, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb3efe5fe, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x5e62cb13, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xd48ca078, "config_item_put" },
	{ 0x356ccacd, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6ab6ad16, "kobject_set_name" },
	{ 0x3c2fadfa, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaa54fb91, "__srcu_read_unlock" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x33262e35, "__pm_runtime_suspend" },
	{ 0x64621d44, "__pm_runtime_use_autosuspend" },
	{ 0x7cbab557, "__pm_runtime_disable" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0x85db70f6, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0xc221bc4d, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.7");
