#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0xb83cf41e, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x2d029d47, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x2d3bf50b, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xc712ab0f, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xe3fb9520, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x01d171c9, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xb41742fb, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xae5bd4ac, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xa2932c1f, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0xf775daea, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x637124bc, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xc256cf3f, "_gpl");
SYMBOL_CRC(dm_get_md, 0xe09769a6, "_gpl");
SYMBOL_CRC(dm_hold, 0x3f9e9592, "_gpl");
SYMBOL_CRC(dm_device_name, 0x92b54845, "_gpl");
SYMBOL_CRC(dm_put, 0xb813269e, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x79b2da13, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xc022c1c4, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x67c6c0c1, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xf7ec7af7, "_gpl");
SYMBOL_CRC(dm_disk, 0x271b899b, "_gpl");
SYMBOL_CRC(dm_suspended, 0xd79c10e2, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x59c417c4, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xb0880ebd, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0x6bd05582, "");
SYMBOL_CRC(dm_put_device, 0x178eec51, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xb62a36ed, "_gpl");
SYMBOL_CRC(dm_table_event, 0xd0f1247c, "");
SYMBOL_CRC(dm_table_get_size, 0xb7f2eebe, "");
SYMBOL_CRC(dm_table_get_mode, 0x3fc6115b, "");
SYMBOL_CRC(dm_table_get_md, 0xd36236de, "");
SYMBOL_CRC(dm_table_device_name, 0xc7951068, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x0c20a514, "");
SYMBOL_CRC(dm_register_target, 0x100b0d38, "");
SYMBOL_CRC(dm_unregister_target, 0xa8ad724f, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x0cbf9775, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x291aca82, "");
SYMBOL_CRC(dm_kcopyd_copy, 0xc3842038, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x360302d9, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x78ad87a1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3938c6a9, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x1595d045, "set_disk_ro" },
	{ 0xefba110d, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc66b7d5c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3c3b8e50, "__init_rwsem" },
	{ 0xff5df4d4, "misc_deregister" },
	{ 0x55164df, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x65e89c80, "idr_find" },
	{ 0xf6826b16, "param_ops_uint" },
	{ 0xc39bef0e, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x628392ad, "bio_split_to_limits" },
	{ 0xfa24eab3, "vmalloc_to_page" },
	{ 0x878ae819, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x7000f81a, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd8dec0ab, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x338c5306, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x797e9371, "idr_replace" },
	{ 0x6d7e694c, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0xc4bf5eb6, "mempool_init" },
	{ 0x51f6d5fa, "blk_rq_prep_clone" },
	{ 0xd0bc3795, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x9e14902b, "prepare_to_wait" },
	{ 0xd2750ece, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9d205f85, "__traceiter_block_bio_remap" },
	{ 0x8a83f21e, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x88102cf0, "prepare_to_wait_event" },
	{ 0xbd2d1c95, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0xcc53dcf6, "synchronize_srcu" },
	{ 0x5fe2a4aa, "kmem_cache_create" },
	{ 0x1995b90c, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x8f62981b, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xfc783bd2, "mempool_free" },
	{ 0x6be3570a, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3cf1b82f, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x4f4e9969, "blk_mq_alloc_tag_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x8faad22e, "crypto_destroy_tfm" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x82bbb0a0, "__traceiter_block_split" },
	{ 0x2a632a78, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x4235c0fb, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7abd35bc, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xb3188453, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x34fc4ad3, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a7671dc, "kmalloc_node_trace" },
	{ 0xf787739, "mempool_alloc" },
	{ 0x9292ff10, "__free_pages" },
	{ 0x85cef9de, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x5f7dc8da, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x51fa48a6, "submit_bio" },
	{ 0xf6d45d1d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x98085d8f, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x64a5c3a4, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0x9c243fff, "idr_remove" },
	{ 0x9bd4a33e, "kobject_uevent_env" },
	{ 0x5715c229, "bio_put" },
	{ 0xd6c4251d, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x14621c70, "init_srcu_struct" },
	{ 0x7f40aebc, "fput" },
	{ 0x5d5e9f15, "down_write" },
	{ 0x715a23bf, "blk_revalidate_disk_zones" },
	{ 0x9b7b9887, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x25942069, "blk_update_request" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x9830f73d, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x814cc343, "__srcu_read_lock" },
	{ 0xb0856c87, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf179859f, "set_capacity" },
	{ 0xc4cc3939, "submit_bio_noacct" },
	{ 0x415fa984, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x3f23695, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xab7b8b42, "kmem_cache_free" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x6dc0a5e1, "bio_chain" },
	{ 0xb0e9444, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf7f546ee, "blk_stack_limits" },
	{ 0x1166494c, "kobject_init_and_add" },
	{ 0x80e26673, "zero_fill_bio_iter" },
	{ 0x72a1591a, "bio_add_page" },
	{ 0xdb8d037c, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xca16debd, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa83a1b02, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d60430f, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa0f0c5e1, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x10f662a, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0xe1d3d175, "idr_destroy" },
	{ 0x499a711e, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xb1f10b17, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x42e60993, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1273a26a, "misc_register" },
	{ 0x12b13422, "__alloc_pages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf7e0f07b, "blk_insert_cloned_request" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x8d2d18d2, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf024cf58, "audit_log_start" },
	{ 0x29e204b7, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xe8faec24, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa77529f1, "bio_uninit" },
	{ 0x6807a712, "crypto_shash_final" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x82f08d36, "param_ops_bool" },
	{ 0x8fbd41ee, "bioset_init" },
	{ 0xd7f448a0, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5589f4e4, "__traceiter_block_rq_remap" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xaa54fb91, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8ce2d446, "__tracepoint_block_rq_remap" },
	{ 0xed1fb820, "bd_link_disk_holder" },
	{ 0x46a3bca7, "blk_mq_start_request" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7242d92, "put_dax" },
	{ 0xd7e6654e, "file_bdev" },
	{ 0x9d8ec7f3, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb60ebe89, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x9d847ef9, "blk_zone_plug_bio" },
	{ 0xf78cac47, "param_ops_int" },
	{ 0x2473e508, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x68d017ee, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0x95bae556, "queue_limits_set" },
	{ 0xd3133bb4, "bio_alloc_bioset" },
	{ 0xa4f338e8, "up_read" },
	{ 0x150f547d, "blk_mq_requeue_request" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x19c0f784, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xec9b9c10, "bdev_end_io_acct" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0xa3c0cbf9, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8dd1f885, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x856ebfb4, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "60BB920486315B9C11B813E");
MODULE_INFO(rhelversion, "9.7");
