#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x161588e0, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x745adaf2, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0xf2d3a5eb, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x03ff1611, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x13360561, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0xfac1855e, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xa7460559, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x5e77c696, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x22568e5f, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x7988ca8a, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0x05b7e01e, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x88301ee0, "_gpl");
SYMBOL_CRC(nand_status_op, 0x423820fe, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x4c31c45f, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x52600aef, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0x0e7f276d, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0xa2e733ed, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0xe1608caf, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0x9fa23fcd, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x7509a922, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x250db54a, "");
SYMBOL_CRC(nand_read_oob_std, 0x1b896939, "");
SYMBOL_CRC(nand_write_oob_std, 0x39e3e11b, "");
SYMBOL_CRC(nand_write_page_raw, 0x907eed8d, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x62be848d, "");
SYMBOL_CRC(nand_decode_ext_id, 0xbfd7c4bb, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x72279a1f, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0x36a5901b, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0xa5ff6752, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x05959ce5, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x184076a1, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0xb2b234e6, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x2320c761, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x4b1972ef, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x9dd2e634, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0xb005d77b, "");
SYMBOL_CRC(nand_cleanup, 0xa2c22563, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x48271e97, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x19c07ee8, "");
SYMBOL_CRC(nand_create_bbt, 0x460f4510, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac472294, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf984f905, "mtd_read_oob" },
	{ 0xd31363e4, "devm_kmalloc" },
	{ 0xb6a3fb79, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x6d953ef4, "gpiod_count" },
	{ 0x1c41ea36, "nanddev_cleanup" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0xea6ce150, "nand_get_large_page_hamming_ooblayout" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf9c921a2, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0x4302a61c, "gpiod_get_index_optional" },
	{ 0xb6c6a667, "nanddev_init" },
	{ 0xa5806f24, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5e50c0a2, "__dynamic_dev_dbg" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xb9a6b8cf, "nand_ecc_is_strong_enough" },
	{ 0x481f86d8, "mtd_write_oob" },
	{ 0x2760ab7f, "nand_get_small_page_ooblayout" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xae42de4f, "of_get_nand_ecc_user_config" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x4c963d5d, "of_property_count_elems_of_size" },
	{ 0x522f7a7e, "of_property_read_string" },
	{ 0xcc274dc9, "of_find_property" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x841a4eb8, "mtd_read" },
	{ 0xead983f, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xdcb764ad, "memset" },
	{ 0x7a4308fd, "of_property_read_u64_index" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe5ab9741, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x999e8297, "vfree" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1765462e, "mtd_ooblayout_find_eccregion" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf312b5fe, "mtd_ooblayout_get_databytes" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x3032bfcb, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2373caf8, "nanddev_mtd_max_bad_blocks" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0A7D5DDC1D5C2D35DE0E6E4");
MODULE_INFO(rhelversion, "9.7");
