#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xc6fb0bae, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xb797327c, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0xe116e5bc, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x17c3e1f2, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x688a5e71, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x73e26d13, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x8c495a95, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x2ef7c234, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x6d89a267, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x72a39008, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xd9497af9, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xed2be04b, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x3930ce82, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x02b984f2, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x960a4214, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xbc87e12f, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xf609a9ae, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xd989c13e, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xab8450d7, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x5fb013d5, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xa36c44e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9517c42e, "mdiobus_write" },
	{ 0xd8231c3a, "mdiobus_read" },
	{ 0x568a77a8, "phy_write_mmd" },
	{ 0x876a94ee, "phy_modify" },
	{ 0xdddf6032, "phy_trigger_machine" },
	{ 0x16719a1f, "phy_error" },
	{ 0xdf6a0da8, "phy_modify_changed" },
	{ 0xa36c93e6, "genphy_update_link" },
	{ 0xd648410c, "genphy_read_lpa" },
	{ 0x683acbe5, "phy_resolve_aneg_pause" },
	{ 0xbf945a70, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0x8b0f441e, "phy_read_mmd" },
	{ 0x3cf00348, "ethnl_cable_test_result_with_src" },
	{ 0x58a40caf, "ethnl_cable_test_fault_length_with_src" },
	{ 0x812cec71, "phy_modify_mmd" },
	{ 0xfca3fb91, "genphy_soft_reset" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
