#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x20fb4b1b, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xa5ec452c, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x41a37a62, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x07bfe1af, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x3ff6af8b, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x7f6c4893, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x07b0bee1, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x20b09a56, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xce840e5e, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x40c286b6, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x5866d0ff, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x5ef9aa36, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x6e89dd5c, "_gpl");
SYMBOL_CRC(usbnet_open, 0x3c568065, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x882aad1b, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x1b58a2ba, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x17b995a9, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x96216102, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x303254e4, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x03df0eaa, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xa237a440, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xf78cd3af, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xaeba55d5, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xc8323b33, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x537a341e, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xdc702898, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xb985cf31, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x79df790d, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xf4599258, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x9107b514, "");
SYMBOL_CRC(usbnet_manage_power, 0xa7756a46, "");
SYMBOL_CRC(usbnet_link_change, 0xb0afcd66, "");
SYMBOL_CRC(usbnet_read_cmd, 0xe7ef6392, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x5ba035fc, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x8e1769eb, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x25a886c0, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x4889ecee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2bb82be4, "usb_set_interface" },
	{ 0x8b448fb9, "usb_string" },
	{ 0x5e50c0a2, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xabc2c0a0, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x8df46831, "skb_queue_purge_reason" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0xfe530446, "usb_get_urb" },
	{ 0x28daa0c4, "usb_unlink_urb" },
	{ 0x66067a6, "usb_free_urb" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x3165bf25, "add_wait_queue" },
	{ 0xdbe21b66, "remove_wait_queue" },
	{ 0x4913acfe, "usb_submit_urb" },
	{ 0x2214663e, "netdev_err" },
	{ 0x3cbb7d05, "mii_ethtool_get_link_ksettings" },
	{ 0xf04b883, "mii_ethtool_set_link_ksettings" },
	{ 0xeef0526e, "mii_nway_restart" },
	{ 0xc52e525d, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0xaaf86388, "unregister_netdev" },
	{ 0xcff187fa, "usb_scuttle_anchored_urbs" },
	{ 0xcfe2c919, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x62ad11ea, "free_netdev" },
	{ 0x99d8fdd, "netdev_info" },
	{ 0x366be9a3, "netif_device_detach" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x334caf0d, "netif_device_attach" },
	{ 0xcf8a4e67, "netif_carrier_on" },
	{ 0x4bde1b29, "netif_carrier_off" },
	{ 0x81b0acd7, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfec25b6, "usb_autopm_get_interface" },
	{ 0x16e230c5, "usb_autopm_put_interface" },
	{ 0x1000eb4e, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x30bb0e3f, "mii_link_ok" },
	{ 0xc2ce1992, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x508c0c73, "skb_defer_rx_timestamp" },
	{ 0x3c76bf38, "netif_rx" },
	{ 0x3e640e9b, "eth_type_trans" },
	{ 0xedf47be1, "skb_queue_tail" },
	{ 0x5d21cea1, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0x9cb9fafd, "register_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x1513438f, "pm_runtime_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xe42928f2, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x348df796, "skb_clone_tx_timestamp" },
	{ 0x13b0da0c, "usb_autopm_get_interface_async" },
	{ 0xea17e101, "dev_kfree_skb_any_reason" },
	{ 0x12fc4cde, "skb_tstamp_tx" },
	{ 0x23effd9e, "usb_anchor_urb" },
	{ 0x9a22c21d, "__netdev_alloc_skb" },
	{ 0xb71e23e7, "consume_skb" },
	{ 0x84899670, "netif_tx_wake_queue" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0x6738c204, "usb_autopm_get_interface_no_resume" },
	{ 0x9c8469fa, "usb_get_from_anchor" },
	{ 0x2c11077e, "skb_put" },
	{ 0x190994b9, "usb_clear_halt" },
	{ 0xa902cebb, "eth_mac_addr" },
	{ 0xcd1354ae, "eth_validate_addr" },
	{ 0x6da0742, "dev_get_tstats64" },
	{ 0x97b1dbb2, "ethtool_op_get_ts_info" },
	{ 0xf78cac47, "param_ops_int" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "A12581BF32F5EC08990C3D3");
MODULE_INFO(rhelversion, "9.7");
