#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmet_fc_register_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_invalidate_host, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_unregister_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_abort, "_gpl", "");

SYMBOL_CRC(nvmet_fc_register_targetport, 0xd110c28b, "_gpl");
SYMBOL_CRC(nvmet_fc_invalidate_host, 0x4a013682, "_gpl");
SYMBOL_CRC(nvmet_fc_unregister_targetport, 0x9ef76d99, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_ls_req, 0x0b98123d, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_req, 0x7bfa9497, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_abort, 0x6ff62dab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfa93a57a, "ida_alloc_range" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf3d000ea, "ida_destroy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x4634e968, "nvmet_req_complete" },
	{ 0x36fe9a39, "dma_unmap_page_attrs" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa010291, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xffc96d85, "dev_driver_string" },
	{ 0x7fab866b, "nvmet_sq_destroy" },
	{ 0xe64ec5c, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x9a82e345, "nvmet_unregister_transport" },
	{ 0x825fe1a2, "_dev_info" },
	{ 0xf97e2e39, "nvmet_req_init" },
	{ 0xf70584d5, "__dma_sync_single_for_cpu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcaf9c496, "nvmet_register_transport" },
	{ 0x5a921311, "strncmp" },
	{ 0x9d34698, "ida_free" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x5904a4a0, "nvmet_sq_init" },
	{ 0xb04526ce, "__dma_sync_single_for_device" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd184e587, "dma_unmap_sg_attrs" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0xbbdd6fb9, "dma_map_sg_attrs" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "E20F8B4392840DF65341269");
MODULE_INFO(rhelversion, "9.7");
