#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x48b05e89, "");
SYMBOL_CRC(sas_remove_host, 0x3c47f6e1, "");
SYMBOL_CRC(sas_get_address, 0x0572f564, "");
SYMBOL_CRC(sas_tlr_supported, 0xddfdf643, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xc6e638e0, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x7862b4f1, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xe1bcbd25, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x6941de84, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xd7bf44c8, "");
SYMBOL_CRC(sas_phy_add, 0x17d5f82b, "");
SYMBOL_CRC(sas_phy_free, 0xe149837f, "");
SYMBOL_CRC(sas_phy_delete, 0x75cb035d, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x2cb1046f, "");
SYMBOL_CRC(sas_port_alloc, 0x439d10b3, "");
SYMBOL_CRC(sas_port_alloc_num, 0x5a16283d, "");
SYMBOL_CRC(sas_port_add, 0xc51a77d7, "");
SYMBOL_CRC(sas_port_free, 0x4e98deae, "");
SYMBOL_CRC(sas_port_delete, 0x5510b8f6, "");
SYMBOL_CRC(scsi_is_sas_port, 0x7bb8729b, "");
SYMBOL_CRC(sas_port_get_phy, 0x3deba5fe, "");
SYMBOL_CRC(sas_port_add_phy, 0xb7ca8dbc, "");
SYMBOL_CRC(sas_port_delete_phy, 0x322e4ee4, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x7fd1e284, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x72ae6817, "");
SYMBOL_CRC(sas_end_device_alloc, 0x370291a4, "");
SYMBOL_CRC(sas_expander_alloc, 0x955ede41, "");
SYMBOL_CRC(sas_rphy_add, 0xaab4db81, "");
SYMBOL_CRC(sas_rphy_free, 0x3faaa5bf, "");
SYMBOL_CRC(sas_rphy_delete, 0xf8e77cde, "");
SYMBOL_CRC(sas_rphy_unlink, 0x3d9db9d8, "");
SYMBOL_CRC(sas_rphy_remove, 0x4cc86f18, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x4f73cd8a, "");
SYMBOL_CRC(sas_attach_transport, 0x33915911, "");
SYMBOL_CRC(sas_release_transport, 0xe529d214, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb351d4e, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x1228589b, "device_add" },
	{ 0x556427d6, "transport_add_device" },
	{ 0xee3e3afc, "transport_configure_device" },
	{ 0x50c37a85, "device_del" },
	{ 0xdabb922d, "transport_destroy_device" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xa010291, "get_device" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x9a5ed5e6, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xa9c3c03b, "scsi_scan_target" },
	{ 0x58c8f2d3, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xd31e75ee, "transport_class_register" },
	{ 0xf6def015, "transport_class_unregister" },
	{ 0xaa80e50c, "transport_remove_device" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x9be471a7, "attribute_container_register" },
	{ 0x860d41b2, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe2d73396, "_dev_printk" },
	{ 0xb6f0532a, "scsi_mode_sense" },
	{ 0x866ccfbf, "attribute_container_unregister" },
	{ 0x1c027293, "scsi_remove_host" },
	{ 0x434847c1, "bsg_remove_queue" },
	{ 0x1ce46259, "scsi_remove_target" },
	{ 0x288e678d, "scsi_is_host_device" },
	{ 0x7c029025, "_dev_warn" },
	{ 0xb2c90903, "bsg_job_done" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0x50db47fd, "dma_opt_mapping_size" },
	{ 0x31c53140, "device_initialize" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0x3b117079, "transport_setup_device" },
	{ 0x7fbbbf57, "scsi_get_vpd_page" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6399EE6CD5708AC0E3B3338");
MODULE_INFO(rhelversion, "9.7");
