#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_ep_set_maxpacket_limit, "_gpl", "");
KSYMTAB_FUNC(usb_ep_enable, "_gpl", "");
KSYMTAB_FUNC(usb_ep_disable, "_gpl", "");
KSYMTAB_FUNC(usb_ep_alloc_request, "_gpl", "");
KSYMTAB_FUNC(usb_ep_free_request, "_gpl", "");
KSYMTAB_FUNC(usb_ep_queue, "_gpl", "");
KSYMTAB_FUNC(usb_ep_dequeue, "_gpl", "");
KSYMTAB_FUNC(usb_ep_set_halt, "_gpl", "");
KSYMTAB_FUNC(usb_ep_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_ep_set_wedge, "_gpl", "");
KSYMTAB_FUNC(usb_ep_fifo_status, "_gpl", "");
KSYMTAB_FUNC(usb_ep_fifo_flush, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_frame_number, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_remote_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_selfpowered, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_clear_selfpowered, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_connect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_draw, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_vbus_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_connect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_activate, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_map_request_by_dev, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_map_request, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unmap_request_by_dev, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unmap_request, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_giveback_request, "_gpl", "");
KSYMTAB_FUNC(gadget_find_ep_by_name, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_ep_match_desc, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_check_config, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_set_state, "_gpl", "");
KSYMTAB_FUNC(usb_udc_vbus_handler, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_udc_reset, "_gpl", "");
KSYMTAB_FUNC(usb_initialize_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget_udc_release, "_gpl", "");
KSYMTAB_FUNC(usb_get_gadget_udc_name, "_gpl", "");
KSYMTAB_FUNC(usb_add_gadget_udc, "_gpl", "");
KSYMTAB_FUNC(usb_del_gadget, "_gpl", "");
KSYMTAB_FUNC(usb_del_gadget_udc, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_register_driver_owner, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_unregister_driver, "_gpl", "");

SYMBOL_CRC(usb_ep_set_maxpacket_limit, 0x89bf9dba, "_gpl");
SYMBOL_CRC(usb_ep_enable, 0xbcf61715, "_gpl");
SYMBOL_CRC(usb_ep_disable, 0xd152cd3f, "_gpl");
SYMBOL_CRC(usb_ep_alloc_request, 0x8ca7011c, "_gpl");
SYMBOL_CRC(usb_ep_free_request, 0x970607ff, "_gpl");
SYMBOL_CRC(usb_ep_queue, 0x7673e7f6, "_gpl");
SYMBOL_CRC(usb_ep_dequeue, 0x8c8eed8e, "_gpl");
SYMBOL_CRC(usb_ep_set_halt, 0x2d75696f, "_gpl");
SYMBOL_CRC(usb_ep_clear_halt, 0x861cbccd, "_gpl");
SYMBOL_CRC(usb_ep_set_wedge, 0x419d8389, "_gpl");
SYMBOL_CRC(usb_ep_fifo_status, 0x0b880a06, "_gpl");
SYMBOL_CRC(usb_ep_fifo_flush, 0xb2211837, "_gpl");
SYMBOL_CRC(usb_gadget_frame_number, 0x36665198, "_gpl");
SYMBOL_CRC(usb_gadget_wakeup, 0x2af1e513, "_gpl");
SYMBOL_CRC(usb_gadget_set_remote_wakeup, 0x579e763e, "_gpl");
SYMBOL_CRC(usb_gadget_set_selfpowered, 0x4b466f5f, "_gpl");
SYMBOL_CRC(usb_gadget_clear_selfpowered, 0x01e27d64, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_connect, 0x0e2581b6, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_draw, 0x04284a09, "_gpl");
SYMBOL_CRC(usb_gadget_vbus_disconnect, 0x0c859e6e, "_gpl");
SYMBOL_CRC(usb_gadget_connect, 0x2afb9f8f, "_gpl");
SYMBOL_CRC(usb_gadget_disconnect, 0x92158059, "_gpl");
SYMBOL_CRC(usb_gadget_deactivate, 0x66419b30, "_gpl");
SYMBOL_CRC(usb_gadget_activate, 0x626e62ab, "_gpl");
SYMBOL_CRC(usb_gadget_map_request_by_dev, 0x325334c8, "_gpl");
SYMBOL_CRC(usb_gadget_map_request, 0x12c65df3, "_gpl");
SYMBOL_CRC(usb_gadget_unmap_request_by_dev, 0x9f68c575, "_gpl");
SYMBOL_CRC(usb_gadget_unmap_request, 0x5f29b337, "_gpl");
SYMBOL_CRC(usb_gadget_giveback_request, 0x2bbc8df2, "_gpl");
SYMBOL_CRC(gadget_find_ep_by_name, 0x54d34176, "_gpl");
SYMBOL_CRC(usb_gadget_ep_match_desc, 0xb0273d52, "_gpl");
SYMBOL_CRC(usb_gadget_check_config, 0x0461dd40, "_gpl");
SYMBOL_CRC(usb_gadget_set_state, 0xe6b8a47d, "_gpl");
SYMBOL_CRC(usb_udc_vbus_handler, 0x8fd323a1, "_gpl");
SYMBOL_CRC(usb_gadget_udc_reset, 0xbe91b5ac, "_gpl");
SYMBOL_CRC(usb_initialize_gadget, 0x7fcb6d5e, "_gpl");
SYMBOL_CRC(usb_add_gadget, 0xfac5874a, "_gpl");
SYMBOL_CRC(usb_add_gadget_udc_release, 0xfa1fb8ce, "_gpl");
SYMBOL_CRC(usb_get_gadget_udc_name, 0x50b88f41, "_gpl");
SYMBOL_CRC(usb_add_gadget_udc, 0x0b4df0e0, "_gpl");
SYMBOL_CRC(usb_del_gadget, 0xeb5d581d, "_gpl");
SYMBOL_CRC(usb_del_gadget_udc, 0x00a5b7fa, "_gpl");
SYMBOL_CRC(usb_gadget_register_driver_owner, 0x634ad11e, "_gpl");
SYMBOL_CRC(usb_gadget_unregister_driver, 0xdabd33b2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfa93a57a, "ida_alloc_range" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96c2b3d6, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x72681d98, "device_unregister" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x36fe9a39, "dma_unmap_page_attrs" },
	{ 0x5ab4996d, "class_destroy" },
	{ 0xe11c1890, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x31c53140, "device_initialize" },
	{ 0xb63501b9, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x9493d651, "bpf_trace_run2" },
	{ 0xe8402929, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5e50c0a2, "__dynamic_dev_dbg" },
	{ 0xffc96d85, "dev_driver_string" },
	{ 0x5608eb1f, "trace_event_buffer_commit" },
	{ 0x2c2f781a, "sysfs_notify" },
	{ 0xe64ec5c, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0xf9dcbe25, "trace_event_ignore_this_pid" },
	{ 0x9a5ed5e6, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x3e3463a5, "perf_trace_run_bpf_submit" },
	{ 0xdc14e287, "bus_unregister" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x1228589b, "device_add" },
	{ 0x860d41b2, "sysfs_remove_link" },
	{ 0xc51e7362, "class_create" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0x942f4474, "trace_event_reg" },
	{ 0x9d34698, "ida_free" },
	{ 0xe625fe88, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x50c37a85, "device_del" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5684fd92, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x65e4b02b, "trace_event_buffer_reserve" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3c23def4, "kobject_uevent" },
	{ 0xd184e587, "dma_unmap_sg_attrs" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd2c4cfb3, "driver_register" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0xd20bbb5b, "bus_register" },
	{ 0xbbdd6fb9, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1078B1E63BABB9CAB1ABE4D");
MODULE_INFO(rhelversion, "9.7");
