#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x1de1414a, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x2a75fbc0, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x11aca828, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22de171b, "device_property_present" },
	{ 0x697366ef, "usb_hcd_platform_shutdown" },
	{ 0x80390c59, "is_acpi_device_node" },
	{ 0x4c702797, "of_fwnode_ops" },
	{ 0xb6d54675, "device_set_wakeup_capable" },
	{ 0x7cceb302, "xhci_suspend" },
	{ 0x5e73df97, "devm_platform_get_and_ioremap_resource" },
	{ 0xc4663cdf, "platform_driver_unregister" },
	{ 0x6db83efc, "platform_get_irq" },
	{ 0xc88893df, "xhci_gen_setup" },
	{ 0xb539373f, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xfc4dad73, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x111ad9, "devm_reset_control_array_get" },
	{ 0xc33abd09, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1513438f, "pm_runtime_enable" },
	{ 0xfdb9f799, "device_property_read_u32_array" },
	{ 0x4e6939e2, "of_match_device" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xd69cb649, "xhci_resume" },
	{ 0xbafc3ff3, "xhci_run" },
	{ 0xf534371e, "usb_hcd_is_primary_hcd" },
	{ 0xdca68980, "xhci_init_driver" },
	{ 0x931ccca2, "usb_put_hcd" },
	{ 0x646b40a2, "__platform_driver_register" },
	{ 0xd4f5389e, "dma_set_coherent_mask" },
	{ 0xf6b79f69, "devm_clk_get_optional" },
	{ 0xb3efe5fe, "pm_runtime_forbid" },
	{ 0x5e62cb13, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x92f945ad, "__usb_create_hcd" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3dff1fdf, "dma_set_mask" },
	{ 0xaf81f2b1, "usb_remove_hcd" },
	{ 0xd097efc1, "of_device_get_match_data" },
	{ 0x7cbab557, "__pm_runtime_disable" },
	{ 0xa30778ec, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0xfb9d2543, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "03720F0DCFA81EA53731DBD");
MODULE_INFO(rhelversion, "9.7");
