#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x71b83219, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xea22eeca, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xdadf90a1, "_gpl");
SYMBOL_CRC(fat_scan, 0xe006da3f, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x06262933, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xaa384e99, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x993e76b5, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x38ef5d37, "_gpl");
SYMBOL_CRC(fat_getattr, 0x8c77f584, "_gpl");
SYMBOL_CRC(fat_setattr, 0xd885779e, "_gpl");
SYMBOL_CRC(fat_attach, 0xc152d4a4, "_gpl");
SYMBOL_CRC(fat_detach, 0x0d77fa93, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xbdd7759a, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x53dfbd39, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xd017a891, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xdd6ffef1, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xf2a78b14, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x7348ec77, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x7a28671e, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x2a14b1f6, "_gpl");
SYMBOL_CRC(fat_update_time, 0xc7a76403, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f2e095e, "filemap_fdatawrite" },
	{ 0xe743f7da, "generic_fillattr" },
	{ 0x21a2562a, "setattr_prepare" },
	{ 0x95612889, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3c3b8e50, "__init_rwsem" },
	{ 0xf4aa2b1f, "sync_blockdev_nowait" },
	{ 0x5ee71ec6, "make_vfsgid" },
	{ 0x55164df, "blk_start_plug" },
	{ 0x9dc05f8d, "clear_inode" },
	{ 0xd70d7db0, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xf2fc822a, "generic_file_splice_read" },
	{ 0x552c8d8, "new_inode" },
	{ 0x8aa4ac5f, "mark_buffer_dirty" },
	{ 0xae43a925, "security_inode_setattr" },
	{ 0x20fce5fe, "__find_get_block" },
	{ 0x1839c534, "filemap_fdatawrite_range" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x75744f19, "inode_needs_sync" },
	{ 0xaf445661, "__blockdev_direct_IO" },
	{ 0x37758687, "d_make_root" },
	{ 0xae56d8c4, "__bforget" },
	{ 0x8159af94, "sb_set_blocksize" },
	{ 0x4a53b573, "block_truncate_page" },
	{ 0x2b65a107, "write_dirty_buffer" },
	{ 0x555ba605, "sync_filesystem" },
	{ 0x9d7389a2, "fsnotify" },
	{ 0xe7d87b6e, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe893626c, "from_vfsuid" },
	{ 0x3602b1bb, "inode_dio_wait" },
	{ 0x26daf681, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x982065ee, "cont_write_begin" },
	{ 0xad94eebb, "iput" },
	{ 0x1ea7f9b1, "iter_file_splice_write" },
	{ 0x3b43025d, "generic_file_write_iter" },
	{ 0x5fe2a4aa, "kmem_cache_create" },
	{ 0xcdb8d319, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd5230343, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xaeb4a9b0, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x54dcbc57, "block_invalidate_folio" },
	{ 0x5ca107af, "__breadahead" },
	{ 0x5d302a2a, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa23c2c27, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xb4b229c2, "generic_cont_expand_simple" },
	{ 0x270634a0, "make_kuid" },
	{ 0x686d2d3c, "truncate_inode_pages_final" },
	{ 0xac858ccd, "block_write_full_page" },
	{ 0xb941c9d6, "generic_file_mmap" },
	{ 0xd1ea844b, "sync_mapping_buffers" },
	{ 0x9eb0eb0a, "ilookup" },
	{ 0x85cef9de, "kmem_cache_alloc" },
	{ 0xadcf57c8, "invalidate_inode_buffers" },
	{ 0x5f7dc8da, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x137cb7bf, "mnt_drop_write_file" },
	{ 0xdba85eba, "inode_init_once" },
	{ 0x3b48b2df, "compat_ptr_ioctl" },
	{ 0xf1058a9c, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xa441dc51, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5d5e9f15, "down_write" },
	{ 0x9b7b9887, "up_write" },
	{ 0xef9ea0ad, "generic_file_read_iter" },
	{ 0xcf67455a, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x610c1e58, "truncate_pagecache" },
	{ 0x7167526f, "sync_dirty_buffer" },
	{ 0xb9f4efdb, "setattr_copy" },
	{ 0x10dd7340, "__wait_on_buffer" },
	{ 0xbb2fb837, "set_nlink" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xab7b8b42, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x4bf1e704, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0xc08e6bc8, "from_vfsgid" },
	{ 0xc99a3d1d, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xebbbe123, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6a3c4b78, "__bread_gfp" },
	{ 0x7a34d08, "block_dirty_folio" },
	{ 0xdeeaa835, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0x72cfb90b, "__insert_inode_hash" },
	{ 0xd8edd5cb, "make_kgid" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0xed9c580d, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8d2d18d2, "down_read" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0xac27f62, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x92a0166f, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9a6f4f96, "igrab" },
	{ 0x414e69c0, "__getblk_gfp" },
	{ 0xbfdea22c, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xe13389e5, "mpage_readahead" },
	{ 0x491827e8, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xd02d7dad, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0xa96d6898, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xe093cb4b, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x68647982, "blkdev_issue_flush" },
	{ 0x9b9813d2, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x776b0589, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xf043cc5b, "from_kuid_munged" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0xe2dfe331, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x69f49db1, "kmem_cache_alloc_lru" },
	{ 0xfd83493b, "__mark_inode_dirty" },
	{ 0x8914c2a4, "generic_file_llseek" },
	{ 0x8efc1ed9, "unload_nls" },
	{ 0xa4f338e8, "up_read" },
	{ 0xd9cb817, "mark_buffer_dirty_inode" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0x6525149a, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x8dd1f885, "kmem_cache_destroy" },
	{ 0xad2350fe, "blkdev_issue_discard" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.7");
