#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x799323d0, "");
SYMBOL_CRC(bt_sock_register, 0x82e2cd74, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x9c1fabae, "");
SYMBOL_CRC(bt_sock_link, 0x6b4b1f96, "");
SYMBOL_CRC(bt_sock_unlink, 0x88ad9fa1, "");
SYMBOL_CRC(bt_sock_linked, 0x186986f2, "");
SYMBOL_CRC(bt_accept_enqueue, 0xdc15f7a7, "");
SYMBOL_CRC(bt_accept_unlink, 0x32da1068, "");
SYMBOL_CRC(bt_accept_dequeue, 0x84f60b3e, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x11905932, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0xb722fa6e, "");
SYMBOL_CRC(bt_sock_poll, 0x20b2ac2c, "");
SYMBOL_CRC(bt_sock_ioctl, 0x5ad60067, "");
SYMBOL_CRC(bt_sock_wait_state, 0x9ef37ccb, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x908ceb2e, "");
SYMBOL_CRC(bt_procfs_init, 0xfaaf3d60, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xd6c74bba, "");
SYMBOL_CRC(bt_debugfs, 0x747659f0, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xe0f4c9ad, "");
SYMBOL_CRC(hci_free_dev, 0x6ee81000, "");
SYMBOL_CRC(hci_register_dev, 0x041b03cf, "");
SYMBOL_CRC(hci_unregister_dev, 0xfb848696, "");
SYMBOL_CRC(hci_release_dev, 0xa818bd57, "");
SYMBOL_CRC(hci_suspend_dev, 0x80a7bbbf, "");
SYMBOL_CRC(hci_resume_dev, 0xa3f460ca, "");
SYMBOL_CRC(hci_reset_dev, 0xfa3a936a, "");
SYMBOL_CRC(hci_recv_frame, 0x443fd979, "");
SYMBOL_CRC(hci_recv_diag, 0xadfa6027, "");
SYMBOL_CRC(hci_set_hw_info, 0x28e1ed3a, "");
SYMBOL_CRC(hci_set_fw_info, 0x7ec6df9c, "");
SYMBOL_CRC(hci_register_cb, 0x494515bc, "");
SYMBOL_CRC(hci_unregister_cb, 0xa2a8b297, "");
SYMBOL_CRC(__hci_cmd_send, 0xc41f445d, "");
SYMBOL_CRC(hci_get_route, 0x44617c43, "");
SYMBOL_CRC(hci_conn_security, 0xa757a11d, "");
SYMBOL_CRC(hci_conn_check_secure, 0x51ab5c72, "");
SYMBOL_CRC(hci_conn_switch_role, 0x9ab96d38, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0xbaea714f, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xabf14b6e, "");
SYMBOL_CRC(l2cap_add_psm, 0x518cec59, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x648ff658, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x0188506c, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x9975cc09, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xb133004c, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xc3fd5412, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x86aa6098, "");
SYMBOL_CRC(l2cap_register_user, 0xdf82d35b, "");
SYMBOL_CRC(l2cap_unregister_user, 0x1855ffb8, "");
SYMBOL_CRC(l2cap_conn_get, 0xe4fcf646, "");
SYMBOL_CRC(l2cap_conn_put, 0x115f7f5b, "");
SYMBOL_CRC(l2cap_chan_send, 0x18c7c985, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xc8840cde, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x4a8f9cc7, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x646b8dae, "");
SYMBOL_CRC(__hci_cmd_sync, 0x8691e8f8, "");
SYMBOL_CRC(hci_cmd_sync, 0xe86a72b9, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xf1c73831, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x240d58dc, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x5574bcbe, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x2f7ee049, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x265f456b, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x9985fc60, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xe0442a74, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x4b9dc5f2, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xfd894bb2, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x24859f4e, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x7c5ec4c1, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x4d74af01, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0x438c766d, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x9855ee37, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x74e02ea0, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x7415afa2, "");
SYMBOL_CRC(hci_devcd_init, 0x11235353, "");
SYMBOL_CRC(hci_devcd_append, 0x60586e52, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x9008e243, "");
SYMBOL_CRC(hci_devcd_complete, 0x1df70f5b, "");
SYMBOL_CRC(hci_devcd_abort, 0x3a2353bf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x1d634188, "skb_free_datagram" },
	{ 0x850a3e0a, "sock_queue_rcv_skb_reason" },
	{ 0xfa93a57a, "ida_alloc_range" },
	{ 0xc66b7d5c, "try_module_get" },
	{ 0x23cfda13, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd69cf5d, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xf3d000ea, "ida_destroy" },
	{ 0x65e89c80, "idr_find" },
	{ 0xf707475c, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x2c11077e, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0x7c9f5d96, "scm_detach_fds" },
	{ 0xc9ed404, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x72681d98, "device_unregister" },
	{ 0xe42928f2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0xe9c102be, "debugfs_create_u16" },
	{ 0x338c5306, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xcdf7ee02, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x1c6aac65, "add_wait_queue_exclusive" },
	{ 0x31c53140, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa2e3afda, "seq_lseek" },
	{ 0x3165bf25, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6117769f, "sock_no_connect" },
	{ 0x88102cf0, "prepare_to_wait_event" },
	{ 0x73caee44, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0x44870685, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xa010291, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xd538ec4d, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x788aefe4, "__put_cred" },
	{ 0xf3ba9e2, "put_cmsg" },
	{ 0x8df46831, "skb_queue_purge_reason" },
	{ 0x8faad22e, "crypto_destroy_tfm" },
	{ 0xd5b64dc4, "disable_delayed_work" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0xfc1bf6f6, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xd99541ca, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe7b9560a, "sock_register" },
	{ 0xa79fdcbe, "datagram_poll" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9ad35a0c, "__alloc_skb" },
	{ 0xc6b20354, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xdde002f5, "rt_write_unlock" },
	{ 0xed1d25ea, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xedf47be1, "skb_queue_tail" },
	{ 0xf6d45d1d, "module_put" },
	{ 0xe4f765bb, "__sock_recv_ts_and_drops" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9c243fff, "idr_remove" },
	{ 0x11e92b25, "debugfs_attr_read" },
	{ 0x5e006f5, "__sock_recv_timestamp" },
	{ 0xdb45a7ff, "sock_no_shutdown" },
	{ 0xa8eed0b9, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf97ca971, "crypto_req_done" },
	{ 0x279e65ae, "init_net" },
	{ 0x7b1c0a43, "crypto_shash_setkey" },
	{ 0x281384ee, "simple_open" },
	{ 0xf0431a51, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1228589b, "device_add" },
	{ 0x9830f73d, "idr_alloc" },
	{ 0xa6857e88, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa80917d2, "init_uts_ns" },
	{ 0xdac09ebf, "sk_skb_reason_drop" },
	{ 0x5e0bf323, "sk_free" },
	{ 0xefe84e85, "device_move" },
	{ 0x2e32c0fa, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0x6ea5172a, "skb_push" },
	{ 0xcc995109, "sock_no_listen" },
	{ 0xd6737fd7, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xaaa6c2dd, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x244f1729, "iov_iter_kvec" },
	{ 0x9d34698, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x9dd22df3, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x821aa05d, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2f3949e1, "dev_coredumpv" },
	{ 0x6520ed00, "skb_copy_datagram_iter" },
	{ 0xb1e4fafe, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xe4eb63f7, "sk_alloc" },
	{ 0x50c37a85, "device_del" },
	{ 0x8cdcb201, "__sock_queue_rcv_skb" },
	{ 0xe1d3d175, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x819f8a09, "default_llseek" },
	{ 0x68961b54, "__sock_recv_wifi_status" },
	{ 0x6384b8b0, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdccf7d90, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbed6c969, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2e340b0e, "sock_no_mmap" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x6982cfea, "__pskb_pull_tail" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x198eefbb, "__scm_destroy" },
	{ 0xed9c580d, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x9e91e1a6, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x783815f8, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2844ff76, "seq_read" },
	{ 0xeecf786b, "rt_read_lock" },
	{ 0x121d957d, "sock_i_ino" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x7911a50, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82f08d36, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xad8e54e5, "skb_recv_datagram" },
	{ 0x2893fd5d, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdcacfd4, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2f708d89, "remove_proc_entry" },
	{ 0x781c8acc, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa96d6898, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xefbf6509, "skb_copy" },
	{ 0x15814fee, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xeabcdc0f, "rt_write_lock" },
	{ 0x808dcde3, "_copy_from_iter" },
	{ 0x717168cd, "debugfs_create_file_full" },
	{ 0x69a88c00, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xdbe21b66, "remove_wait_queue" },
	{ 0x9b9813d2, "seq_puts" },
	{ 0x8e97ec17, "sock_gettstamp" },
	{ 0xafda101c, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa5070173, "pid_vnr" },
	{ 0x32768431, "disable_delayed_work_sync" },
	{ 0xf043cc5b, "from_kuid_munged" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x4eb5d5fc, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x55e92e5f, "proc_create_seq_private" },
	{ 0x8ad9b5e8, "debugfs_create_u8" },
	{ 0x2123966e, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x68d017ee, "crypto_alloc_shash" },
	{ 0xf2ce89eb, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb2b04073, "fwnode_property_read_u8_array" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0x10d63bb2, "put_pid" },
	{ 0x85db70f6, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc83b3e55, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9f624f74, "__dev_fwnode" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x46d24f62, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd89756ff, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "2DDC16C17B5CFBF4F860FF1");
MODULE_INFO(rhelversion, "9.7");
