#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xf40bda87, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xf7e4a19e, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x4d2ce5ba, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xca099fc3, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0xfc09dc8e, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x304d2864, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x408de70d, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x15cb467c, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xa80a16a5, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x424cc0cc, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xcd642199, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x1453d970, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x35287e5f, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xa1d7498e, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x56064cc4, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x85da8b1a, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0xea95f61d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x977d0f6f, "flow_rule_alloc" },
	{ 0x3c3b8e50, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x4fb88ebf, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaaa635e9, "neigh_xmit" },
	{ 0x4dfa54a4, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a472b17, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9a4cb480, "rhashtable_walk_enter" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x441bc115, "proc_create_net_data" },
	{ 0xc8a83be, "pskb_expand_head" },
	{ 0x64f87add, "register_pernet_subsys" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5d5e9f15, "down_write" },
	{ 0x9b7b9887, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xf0431a51, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcd0b3a97, "dev_get_by_index" },
	{ 0x511d20f5, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xb4c24f8f, "rhashtable_walk_start_check" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd3be569e, "flow_indr_dev_setup_offload" },
	{ 0xdc0278b9, "rhashtable_walk_stop" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x581050db, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x8d102271, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6982cfea, "__pskb_pull_tail" },
	{ 0x6948108d, "rhashtable_destroy" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x8d2d18d2, "down_read" },
	{ 0xc601257c, "inet_proto_csum_replace16" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9a74d166, "rhashtable_insert_slow" },
	{ 0xeecf786b, "rt_read_lock" },
	{ 0x325a17d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x41a394a5, "neigh_destroy" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe2af1154, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xdcacfd4, "rt_read_unlock" },
	{ 0x2f708d89, "remove_proc_entry" },
	{ 0xbbc00405, "nf_ct_acct_add" },
	{ 0xa96d6898, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xccf45130, "dst_release" },
	{ 0x49ca25f9, "nf_ct_l4proto_find" },
	{ 0x9b9813d2, "seq_puts" },
	{ 0x6d6bcd91, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xa4f338e8, "up_read" },
	{ 0x1730f976, "rhashtable_walk_exit" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "95D507375C32960FF3A1DA6");
MODULE_INFO(rhelversion, "9.7");
