#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xffc28edf, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xeb9879fa, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x169a4041, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d634188, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x850a3e0a, "sock_queue_rcv_skb_reason" },
	{ 0x6154a1a3, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xbeabb756, "bpf_trace_run4" },
	{ 0x208f5df7, "skb_copy_bits" },
	{ 0x63857d3d, "radix_tree_insert" },
	{ 0x2c11077e, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb71e23e7, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96c2b3d6, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x49e6049c, "radix_tree_lookup" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0xe11c1890, "trace_event_printf" },
	{ 0xd72bb780, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xb63501b9, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xe8402929, "event_triggers_call" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0x44870685, "__module_get" },
	{ 0x1aad5bfc, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd538ec4d, "__pskb_copy_fclone" },
	{ 0x70e207a2, "sk_error_report" },
	{ 0x8df46831, "skb_queue_purge_reason" },
	{ 0xf7996e78, "radix_tree_iter_delete" },
	{ 0x5608eb1f, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xd99541ca, "proto_unregister" },
	{ 0xe7b9560a, "sock_register" },
	{ 0xa79fdcbe, "datagram_poll" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf9dcbe25, "trace_event_ignore_this_pid" },
	{ 0x9ad35a0c, "__alloc_skb" },
	{ 0xdde002f5, "rt_write_unlock" },
	{ 0xed1d25ea, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf6d45d1d, "module_put" },
	{ 0xe731794f, "__xa_alloc" },
	{ 0xdb45a7ff, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x3e3463a5, "perf_trace_run_bpf_submit" },
	{ 0xf9c5b1ad, "__traceiter_sk_data_ready" },
	{ 0x279e65ae, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf3b13184, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdac09ebf, "sk_skb_reason_drop" },
	{ 0xdcc681ed, "xa_load" },
	{ 0x52739e1c, "kernel_getsockname" },
	{ 0x1ad2cb21, "do_wait_intr_irq" },
	{ 0x5e0bf323, "sk_free" },
	{ 0x2e32c0fa, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0x6ea5172a, "skb_push" },
	{ 0xcc995109, "sock_no_listen" },
	{ 0x942f4474, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x821aa05d, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6520ed00, "skb_copy_datagram_iter" },
	{ 0xe4eb63f7, "sk_alloc" },
	{ 0xdccf7d90, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x2e340b0e, "sock_no_mmap" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0x16685eb, "sock_no_sendpage" },
	{ 0x9a22c21d, "__netdev_alloc_skb" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x868bbb54, "__xa_insert" },
	{ 0xa28dc2ce, "xa_erase" },
	{ 0x5684fd92, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x691dc1a3, "skb_set_owner_w" },
	{ 0x65e4b02b, "trace_event_buffer_reserve" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xce72b331, "sock_create_kern" },
	{ 0x21034861, "xa_find" },
	{ 0xad8e54e5, "skb_recv_datagram" },
	{ 0x2893fd5d, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x268d12e2, "xa_store" },
	{ 0xeabcdc0f, "rt_write_lock" },
	{ 0x808dcde3, "_copy_from_iter" },
	{ 0xf69db0f, "sock_release" },
	{ 0x8e97ec17, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6b38dcce, "xa_find_after" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4eb5d5fc, "iov_iter_revert" },
	{ 0xfc4118d3, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0xc83b3e55, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x46d24f62, "release_sock" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.7");
