#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x4c954881, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xedbb1c2a, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x81a6a822, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x520e8447, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x72a441ac, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xe99fb91c, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xe3536d44, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x16f45c14, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x032ccbb4, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xe002487a, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xe80ea272, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x01cb858c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x6b53820f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x7e1e7bae, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x4ac6fdce, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xe56f587c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xbfce86f3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xd9a4d348, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x7de7c6df, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x76248c01, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xd5b9f1ee, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xdb057189, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x1352af84, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xce959179, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xa25594a8, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xe3560629, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xf6649239, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xd0765098, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x3d1d9d2c, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xf7e6cd67, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x61c35f2f, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xbc61c4f7, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xfce8a163, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x700264a7, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xb0b1901f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x5acc138f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c420512, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2a0f8444, "vsock_insert_connected" },
	{ 0x2c11077e, "skb_put" },
	{ 0xb71e23e7, "consume_skb" },
	{ 0x96c2b3d6, "trace_raw_output_prep" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x6774a239, "vsock_remove_sock" },
	{ 0xe11c1890, "trace_event_printf" },
	{ 0xb6619e43, "vsock_deliver_tap" },
	{ 0xb63501b9, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3165bf25, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe8402929, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x70e207a2, "sk_error_report" },
	{ 0x5608eb1f, "trace_event_buffer_commit" },
	{ 0x5f0dafcb, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf9dcbe25, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x9ad35a0c, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x3e3463a5, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xdac09ebf, "sk_skb_reason_drop" },
	{ 0x5e0bf323, "sk_free" },
	{ 0x942f4474, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x311df8f9, "__skb_recv_datagram" },
	{ 0x821aa05d, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc9c702a2, "vsock_stream_has_data" },
	{ 0x6520ed00, "skb_copy_datagram_iter" },
	{ 0x3c8b4ccd, "bpf_trace_run9" },
	{ 0xdc93310c, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x381b7341, "sock_efree" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x689a8ef7, "bpf_trace_run10" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0xe271d317, "vsock_core_get_transport" },
	{ 0x79ec95be, "__zerocopy_sg_from_iter" },
	{ 0x5aafe2e8, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x691dc1a3, "skb_set_owner_w" },
	{ 0x65e4b02b, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x808dcde3, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xdbe21b66, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xff38b71a, "msg_zerocopy_realloc" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x22cc350b, "vsock_create_connected" },
	{ 0x7586aa5e, "vsock_assign_transport" },
	{ 0x4eb5d5fc, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfcd1e4a2, "iov_iter_npages" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x46d24f62, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa92fbb37, "vsock_data_ready" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "47E1979DFA663EF75B54B38");
MODULE_INFO(rhelversion, "9.7");
