#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x4e21825f, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x024fe1b2, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x923c98a3, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x696bb947, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x9c3f00d1, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x1fcd6926, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x93d94158, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xa5793c4c, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x8ead75a8, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xb7b1ffa6, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x3e67b05a, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x5c525132, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xb27d1229, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x98d12609, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xcb1dc1f8, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x3d6ef590, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xa589fe25, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x10dee904, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xea54ab44, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x2b3d15e5, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xae78c29f, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x665d9c57, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x133a88f9, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x57951e02, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xb6d2bd99, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x899d4c74, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x237957df, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x52ed4ed7, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x8c0ea76e, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x2eb02f03, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x03e91c9f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec2c2a45, "kthread_queue_work" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7c029025, "_dev_warn" },
	{ 0xd31363e4, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0xc84fa760, "kthread_create_worker" },
	{ 0x825fe1a2, "_dev_info" },
	{ 0xc5cb5fb9, "sched_set_fifo" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0x54975963, "kthread_destroy_worker" },
	{ 0x7777a135, "crypto_register_aead" },
	{ 0xeae8be54, "crypto_unregister_aead" },
	{ 0x2f8e5886, "crypto_register_ahash" },
	{ 0xa3f7c719, "crypto_unregister_ahash" },
	{ 0x3f9be100, "crypto_register_akcipher" },
	{ 0x1d51793d, "crypto_unregister_akcipher" },
	{ 0xaa3636f8, "crypto_register_kpp" },
	{ 0x60e8f9f8, "crypto_unregister_kpp" },
	{ 0x3c7a640, "crypto_register_skcipher" },
	{ 0x156ed095, "crypto_unregister_skcipher" },
	{ 0x48a03065, "crypto_enqueue_request" },
	{ 0xedd7e213, "crypto_dequeue_request" },
	{ 0x2103afcc, "crypto_enqueue_request_head" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6B3F73B9AB8A7A30846E8C3");
MODULE_INFO(rhelversion, "9.7");
