#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x2f0d2c5a, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xf6b9da8c, "");
SYMBOL_CRC(__bcma_driver_register, 0x4c24d2bb, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xc91082cc, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xd34329e4, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x97517728, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xafb0758d, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xf67bf76a, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x80da564e, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xe1bbd532, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xc08efe93, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x446e4c3e, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x64adce96, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xc42b95d7, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x4c61196d, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x5322e6d3, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xc94e4838, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0xf6a29344, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0xcdfc593a, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x20553268, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x3f83b2a9, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xf6c69981, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x7f65e37a, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x33383a19, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xd801fdaa, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x9be2fad9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3b4b655a, "pci_enable_device" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0x28fadb76, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x83e2eb72, "of_address_to_resource" },
	{ 0x72681d98, "device_unregister" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0xf78bb8e3, "of_platform_default_populate" },
	{ 0xabfefd1c, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x31c53140, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x3bb8afb2, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xa010291, "get_device" },
	{ 0xcfe6cf62, "of_irq_parse_one" },
	{ 0x5e50c0a2, "__dynamic_dev_dbg" },
	{ 0x7b7afb5f, "pci_unregister_driver" },
	{ 0x72631f25, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x2355036c, "of_irq_parse_raw" },
	{ 0xdd1bbf60, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0x825fe1a2, "_dev_info" },
	{ 0xad355d7f, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xdc14e287, "bus_unregister" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0x1228589b, "device_add" },
	{ 0x69dcb46, "platform_device_unregister" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xe625fe88, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf5646b19, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0x7c029025, "_dev_warn" },
	{ 0x7ed4809, "pci_set_master" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x4cb07972, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9eb43c77, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x30f835, "platform_device_register_full" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x1dd1bf31, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7a638ea6, "pci_disable_device" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xb7ab585d, "pcie_set_readrq" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0xc0de4ac9, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x460f5517, "of_dma_configure_id" },
	{ 0xd2c4cfb3, "driver_register" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9f624f74, "__dev_fwnode" },
	{ 0x268ef4d0, "pci_write_config_dword" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0xd20bbb5b, "bus_register" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.7");
