#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0xd8141f00, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xae07bfda, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x019298ed, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x4fd71d8d, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x940af2e5, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xf5a4b499, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x9a33dd7c, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xd5d0040d, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xd24450a7, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x58cfecbc, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x9efb8572, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xd03df38c, "_gpl");
SYMBOL_CRC(mhi_notify, 0xf7b0eac4, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xe95eaa75, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0xa1956c8a, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x76d7b851, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x0df2891d, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x05826cab, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xc6075f00, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0xb0001ac1, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xa169f4f8, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x1580c937, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xbdca0973, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xdb811705, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x7437bab7, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0xfc2bca7c, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xddb4a2be, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x38a58b2d, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x63c24ec2, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xf20fd43c, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xf04ee18b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xfa93a57a, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb6d54675, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xbeabb756, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x40da3a74, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96c2b3d6, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x338c5306, "finish_wait" },
	{ 0x36fe9a39, "dma_unmap_page_attrs" },
	{ 0xb08d501a, "request_firmware" },
	{ 0xe11c1890, "trace_event_printf" },
	{ 0x31c53140, "device_initialize" },
	{ 0xb63501b9, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xfb351d4e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9493d651, "bpf_trace_run2" },
	{ 0x88102cf0, "prepare_to_wait_event" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0xe8402929, "event_triggers_call" },
	{ 0xa010291, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5e50c0a2, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xffc96d85, "dev_driver_string" },
	{ 0x5608eb1f, "trace_event_buffer_commit" },
	{ 0xe64ec5c, "dma_map_page_attrs" },
	{ 0xa976f684, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0xf9dcbe25, "trace_event_ignore_this_pid" },
	{ 0xdea8d63e, "sysfs_remove_file_ns" },
	{ 0xdde002f5, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x825fe1a2, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x3e3463a5, "perf_trace_run_bpf_submit" },
	{ 0xdc14e287, "bus_unregister" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0x6407282, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x1228589b, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0x4bb1f919, "dma_alloc_attrs" },
	{ 0x942f4474, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9d34698, "ida_free" },
	{ 0xe625fe88, "driver_unregister" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x50c37a85, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x7c029025, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x5684fd92, "bpf_trace_run3" },
	{ 0xeecf786b, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xd2469650, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x65e4b02b, "trace_event_buffer_reserve" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdcacfd4, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xeabcdc0f, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd2c4cfb3, "driver_register" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0xd20bbb5b, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "60C7EC49A360AB4BF9D54F6");
MODULE_INFO(rhelversion, "9.7");
