#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(of_drm_find_bridge, "", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(of_drm_find_panel, "", "");
KSYMTAB_FUNC(of_drm_get_panel_orientation, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_of_crtc_port_mask, "", "");
KSYMTAB_FUNC(drm_of_find_possible_crtcs, "", "");
KSYMTAB_FUNC(drm_of_component_match_add, "_gpl", "");
KSYMTAB_FUNC(drm_of_component_probe, "", "");
KSYMTAB_FUNC(drm_of_encoder_active_endpoint, "_gpl", "");
KSYMTAB_FUNC(drm_of_find_panel_or_bridge, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_dual_link_pixel_order, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_data_mapping, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count_ep, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_dsi_bus, "_gpl", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0xe4f4abb5, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xe016c7ad, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x5f7a13ed, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0xf3c08c50, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xafd6c5ea, "");
SYMBOL_CRC(drm_atomic_state_init, 0xb5ba8656, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0xebe17255, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0xf85d0f6f, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x6c82c5fb, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x64bcb41e, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x206ce3b2, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x272e8112, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x46d5baed, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x9fe167c5, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x2cd4708e, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xada53299, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x9935b507, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x1844f710, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x4441e42d, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x4e134c3f, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xc1eca0eb, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x349af85f, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x1a31a5ee, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xe982860e, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xb95b3938, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x5041c164, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x5e32b42c, "");
SYMBOL_CRC(drm_atomic_check_only, 0x03282c27, "");
SYMBOL_CRC(drm_atomic_commit, 0xfc224308, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x00c88492, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x0b21b25e, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0x1ae46308, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xaba05bc4, "");
SYMBOL_CRC(drm_state_dump, 0x7c90ad88, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xac788ed4, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x2230210e, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x1736c7fd, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xae4089a9, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x38d0a84a, "");
SYMBOL_CRC(drm_is_current_master, 0xb73a50c2, "");
SYMBOL_CRC(drm_master_get, 0x158c72ea, "");
SYMBOL_CRC(drm_file_get_master, 0x0f9cf53f, "");
SYMBOL_CRC(drm_master_put, 0xe2e18676, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x5c0686da, "");
SYMBOL_CRC(drm_master_internal_release, 0xefeaa3d1, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xfadf8fb1, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xd3651e5b, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x1f518112, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x2b1db991, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0x70e61e60, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0xbc714e05, "");
SYMBOL_CRC(drm_bridge_add, 0x5a846f08, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x52ce2af8, "");
SYMBOL_CRC(drm_bridge_remove, 0xe5e6b03d, "");
SYMBOL_CRC(drm_bridge_attach, 0xdde6ca95, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0xaf8e78a3, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x3f547b1a, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xaff31fb7, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x8c0dbec4, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0xa84f705b, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x2c65d1ea, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x939e5ba4, "");
SYMBOL_CRC(drm_bridge_detect, 0x0270ccf9, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x4be75605, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xfd8c0481, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0xc4d93113, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x7985d6a1, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x26eeef03, "_gpl");
SYMBOL_CRC(of_drm_find_bridge, 0x6518f85f, "");
SYMBOL_CRC(drm_clflush_pages, 0x7e5d781e, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0xdadd2e06, "");
SYMBOL_CRC(drm_client_register, 0x76a828ac, "");
SYMBOL_CRC(drm_client_release, 0xdde65bdf, "");
SYMBOL_CRC(drm_client_dev_unregister, 0xa410dd87, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x9c491aef, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0x0a69ca9f, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0x98c9e935, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x1483d41c, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xf7d8357b, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0xc98450ec, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xc448d40a, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xf96c381d, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x39f0e66c, "");
SYMBOL_CRC(drm_client_rotation, 0x38de3ed4, "");
SYMBOL_CRC(drm_client_modeset_check, 0x360f245a, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x89185495, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xb24c15d3, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xf5e37f60, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0xe441048c, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x39b9cef2, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x9160daf1, "");
SYMBOL_CRC(drm_color_lut_check, 0xaea5b092, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x73c17266, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0xd7526cd9, "");
SYMBOL_CRC(drmm_connector_init, 0x263e158e, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0x62e3d8ec, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x54afe783, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xc150b081, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x297ae9c1, "");
SYMBOL_CRC(drm_connector_cleanup, 0x8a92ea4a, "");
SYMBOL_CRC(drm_connector_register, 0xa5244a13, "");
SYMBOL_CRC(drm_connector_unregister, 0x51da7f4f, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x682440df, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x0462f8e5, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0xd6a59cef, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xe8566f36, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0xd36eae6a, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x69071f3c, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xeae3aec0, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xe098ab79, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x0f3b6925, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x48e6437c, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x0e6969b4, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0xae5d4bde, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xa6d705e8, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x80ab9c1c, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xe10a7107, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x5da46e81, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0xb297d9a7, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0xc190aefe, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xeb2d2ae2, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x4048bcf0, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x0d9ddfac, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x05d80f9e, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x81ada9b8, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0xa52fcb81, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x69ba295f, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x200d68d6, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x4e799146, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x8c5d479d, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x80199a14, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x7effcd09, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xa79a3dc0, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0xd9c36140, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0xe7aeccf2, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0xfae25841, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xc3034739, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x6958fc97, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x99e1f0d4, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x20efc3a9, "");
SYMBOL_CRC(drm_crtc_from_index, 0x593820d3, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x23d09dae, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xef61094d, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x8f4dc9a8, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x73b81953, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0xdd79b1ec, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x299ea016, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x0c15364f, "");
SYMBOL_CRC(drm_put_dev, 0xbae3e441, "");
SYMBOL_CRC(drm_dev_enter, 0xa56a5f6c, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x572c443e, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x40cb160c, "");
SYMBOL_CRC(drm_dev_alloc, 0x876fd2da, "");
SYMBOL_CRC(drm_dev_get, 0x93f0c9ef, "");
SYMBOL_CRC(drm_dev_put, 0x24d1f1f0, "");
SYMBOL_CRC(drm_dev_register, 0x05e21e1f, "");
SYMBOL_CRC(drm_dev_unregister, 0x0b5ebb54, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xe467724b, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0xd57916eb, "");
SYMBOL_CRC(drm_get_edid, 0x2925e759, "");
SYMBOL_CRC(drm_edid_read_custom, 0xe6923569, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x439b71c4, "");
SYMBOL_CRC(drm_edid_read, 0xcc0e717b, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0xb2f44400, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0xb3da903b, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x877a620d, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x481a074b, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0xbd207074, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x615bad52, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0x5078bcbd, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xc8c19e48, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x4bc7aeb2, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x7da42df4, "");
SYMBOL_CRC(drm_add_edid_modes, 0x0dfcaff3, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x469b5577, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xa6daafd8, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x57e5abcb, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x00b2e876, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0xfffd08a4, "");
SYMBOL_CRC(drm_encoder_cleanup, 0xecd7a1fa, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0xc0ae2273, "");
SYMBOL_CRC(drmm_encoder_init, 0x6694d936, "");
SYMBOL_CRC(drm_open, 0x2973cade, "");
SYMBOL_CRC(drm_release, 0xae404fb4, "");
SYMBOL_CRC(drm_release_noglobal, 0x03c840a7, "");
SYMBOL_CRC(drm_read, 0x77b4be80, "");
SYMBOL_CRC(drm_poll, 0x9f494948, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0xbd1804f1, "");
SYMBOL_CRC(drm_event_reserve_init, 0x6b012885, "");
SYMBOL_CRC(drm_event_cancel_free, 0x824a669e, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x8ceb940b, "");
SYMBOL_CRC(drm_send_event_locked, 0x2e824128, "");
SYMBOL_CRC(drm_send_event, 0x70d4e46a, "");
SYMBOL_CRC(drm_print_memory_stats, 0x9bfc9dc7, "");
SYMBOL_CRC(drm_show_memory_stats, 0x6cddb69b, "");
SYMBOL_CRC(drm_show_fdinfo, 0x14875a31, "");
SYMBOL_CRC(mock_drm_getfile, 0x0f57f166, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x7ea25f71, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x398e39b6, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x15a4ddc1, "");
SYMBOL_CRC(drm_framebuffer_init, 0x421454a4, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x6aa98035, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x13575aff, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x4ce5f13f, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x719dccc2, "");
SYMBOL_CRC(drm_gem_object_init, 0x7e0647ff, "");
SYMBOL_CRC(drm_gem_private_object_init, 0xa6270de4, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x2754e2cd, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x75c3564d, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xebffdb4c, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0xc18f5d34, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x4748dcb3, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x4e5e7223, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x3318f9d4, "");
SYMBOL_CRC(drm_gem_get_pages, 0x7b865eb4, "");
SYMBOL_CRC(drm_gem_put_pages, 0x87969845, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0xdafc41ae, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x0538efe1, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x8632b45c, "");
SYMBOL_CRC(drm_gem_object_release, 0xe507d28d, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x9a097078, "");
SYMBOL_CRC(drm_gem_vm_close, 0x54d2362c, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xcc060768, "");
SYMBOL_CRC(drm_gem_mmap, 0x1307694f, "");
SYMBOL_CRC(drm_gem_vmap, 0x17e96310, "");
SYMBOL_CRC(drm_gem_vunmap, 0x5d2e4ed3, "");
SYMBOL_CRC(drm_gem_lock, 0x542d0c8b, "");
SYMBOL_CRC(drm_gem_unlock, 0x23ac2a9c, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x4e6db30e, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x0a2d730b, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x05015943, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x559bf1ab, "");
SYMBOL_CRC(drm_gem_lru_init, 0xdb0f40ce, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xd51936fd, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xbf6fbb31, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x1b3dd0c1, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xb01ae08e, "");
SYMBOL_CRC(drm_gem_evict, 0x570bfcbc, "");
SYMBOL_CRC(drm_noop, 0xc991ded1, "");
SYMBOL_CRC(drm_invalid_op, 0x88670f75, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x906de879, "");
SYMBOL_CRC(drm_ioctl, 0xe48f3674, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x147be2ad, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x08945ce6, "");
SYMBOL_CRC(drmm_release_action, 0x109e2ff7, "");
SYMBOL_CRC(drmm_kmalloc, 0x6271d94b, "");
SYMBOL_CRC(drmm_kstrdup, 0xe957f922, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xfd64a052, "");
SYMBOL_CRC(__drmm_mutex_release, 0xa452c8c3, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x384b280d, "");
SYMBOL_CRC(drm_mode_config_reset, 0x86e557ea, "");
SYMBOL_CRC(drmm_mode_config_init, 0x4b657419, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xc715c35b, "");
SYMBOL_CRC(drm_mode_object_find, 0x77565be5, "");
SYMBOL_CRC(drm_mode_object_put, 0x15bf1491, "");
SYMBOL_CRC(drm_mode_object_get, 0xf2552c96, "");
SYMBOL_CRC(drm_object_attach_property, 0x1079dcfd, "");
SYMBOL_CRC(drm_object_property_set_value, 0x59fb8613, "");
SYMBOL_CRC(drm_object_property_get_value, 0x1f1b4109, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xc4898028, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0xec5fd281, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xe9c6f316, "");
SYMBOL_CRC(drm_mode_destroy, 0xaaf78bc3, "");
SYMBOL_CRC(drm_mode_probed_add, 0xb871ca44, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xd1161130, "");
SYMBOL_CRC(drm_cvt_mode, 0x3a97db1a, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x86efe6b4, "");
SYMBOL_CRC(drm_gtf_mode, 0x15e5cfed, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0x5636c6ff, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xe09d2ca1, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x2d904264, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xb4f3c370, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xdfd5c34b, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x2a882959, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0xc228b9ff, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x529f8ce7, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x44998f35, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x0afdd0a4, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0xad8b7516, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x94d84244, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x9e485e17, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xf870bda3, "");
SYMBOL_CRC(drm_modeset_backoff, 0x17b78d3b, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x0faec5b5, "");
SYMBOL_CRC(drm_modeset_lock, 0x5bd7c4de, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x823e6c1f, "");
SYMBOL_CRC(drm_modeset_unlock, 0x7d39c99f, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x9d164051, "");
SYMBOL_CRC(drm_universal_plane_init, 0x1eab2dbb, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x278a7ea8, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xa09af4d7, "");
SYMBOL_CRC(drm_plane_cleanup, 0xef675b7d, "");
SYMBOL_CRC(drm_plane_from_index, 0x8fe46689, "");
SYMBOL_CRC(drm_plane_force_disable, 0x17375d10, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xfdb18b16, "");
SYMBOL_CRC(drm_plane_has_format, 0x8c743224, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x45d8e4cb, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x78fa4dff, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xa8d4cded, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x489507c6, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x9f64974a, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0x802443cc, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0xf36f86bc, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x91757f86, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x019bf28d, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0x0e3e79e5, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xb8bffab9, "");
SYMBOL_CRC(drm_gem_map_attach, 0x2169b33c, "");
SYMBOL_CRC(drm_gem_map_detach, 0xf77a983c, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x5e6e1c76, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0xa6c0ae3b, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x38559945, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x377fb9ef, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x35d6d5c9, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x51a1393b, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x01c332de, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x17370823, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x9b733ff4, "");
SYMBOL_CRC(drm_gem_prime_import, 0x5e6f3083, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x7cc7d01a, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x2f960511, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xc9f4f448, "");
SYMBOL_CRC(__drm_printfn_coredump, 0x95bf149b, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x25b1a326, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x2140e8a1, "");
SYMBOL_CRC(__drm_printfn_info, 0x4488028a, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x5fafb06f, "");
SYMBOL_CRC(__drm_printfn_err, 0x51a893c2, "");
SYMBOL_CRC(drm_puts, 0x4925085d, "");
SYMBOL_CRC(drm_printf, 0xbc0d826d, "");
SYMBOL_CRC(drm_print_bits, 0x1a01342e, "");
SYMBOL_CRC(drm_dev_printk, 0x6ca92999, "");
SYMBOL_CRC(__drm_dev_dbg, 0x241748fd, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0x5dd7f050, "");
SYMBOL_CRC(drm_property_create, 0xeddeecec, "");
SYMBOL_CRC(drm_property_create_enum, 0xf5023280, "");
SYMBOL_CRC(drm_property_create_bitmask, 0xfdd312a0, "");
SYMBOL_CRC(drm_property_create_range, 0x9690c6ab, "");
SYMBOL_CRC(drm_property_create_signed_range, 0x79ad9c10, "");
SYMBOL_CRC(drm_property_create_object, 0x0e0fa848, "");
SYMBOL_CRC(drm_property_create_bool, 0xa5093e7e, "");
SYMBOL_CRC(drm_property_add_enum, 0x236d81b3, "");
SYMBOL_CRC(drm_property_destroy, 0x1ab30904, "");
SYMBOL_CRC(drm_property_create_blob, 0xa4d518c9, "");
SYMBOL_CRC(drm_property_blob_put, 0xc2a711d3, "");
SYMBOL_CRC(drm_property_blob_get, 0xf50f811b, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x316be83e, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x393af7b9, "");
SYMBOL_CRC(drm_property_replace_blob, 0x58d68023, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x43874e86, "");
SYMBOL_CRC(drm_syncobj_find, 0x21eb3c66, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x78397a25, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x05e5c6ad, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x7d72c25c, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x5b33bf1b, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x9c7e132f, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x2598794f, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x9056f092, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0x6b96f46d, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x1b437803, "");
SYMBOL_CRC(drm_class_device_register, 0x1ee951e7, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xa0ea8655, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0x1e493170, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xffcd75a9, "");
SYMBOL_CRC(drm_vblank_init, 0x0a22b26f, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xeb4c95c8, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x220768a6, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0xebfeeff6, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x3014be90, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xda10c3f1, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x52839a5e, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x32e58bdc, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x41ca336a, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x48a0a096, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x9b36bd7a, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x6de2fd5a, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x36161880, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x66744b62, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x45ea158d, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xea9a8b40, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x054dcec4, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x0b50af05, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0xde1d5239, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xa409dc44, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x4e496856, "");
SYMBOL_CRC(drm_handle_vblank, 0x61186690, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0xc0665e59, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0xd86dc479, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x8c03dec6, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xad48f22b, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0x59826ff9, "");
SYMBOL_CRC(drm_vblank_work_init, 0x22569109, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x7d6b7962, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x3ca9bb75, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xca293939, "");
SYMBOL_CRC(drm_vma_offset_add, 0x19d57384, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x9856a4f0, "");
SYMBOL_CRC(drm_vma_node_allow, 0xa3c57ef1, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0xedc95541, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x5f0938c4, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0xb03ad7fe, "");
SYMBOL_CRC(drm_writeback_connector_init, 0xcbc6e416, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0xe1da6ca2, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0xcd994388, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x63c53f03, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x1ceecd9b, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x386ae4f1, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x10faa69d, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0xbff81026, "");
SYMBOL_CRC(drm_panel_init, 0x57f3c60e, "");
SYMBOL_CRC(drm_panel_add, 0x97d9fc1f, "");
SYMBOL_CRC(drm_panel_remove, 0x30815075, "");
SYMBOL_CRC(drm_panel_prepare, 0x9fff9fc6, "");
SYMBOL_CRC(drm_panel_unprepare, 0x1fc9da98, "");
SYMBOL_CRC(drm_panel_enable, 0xbe3aef15, "");
SYMBOL_CRC(drm_panel_disable, 0x42894502, "");
SYMBOL_CRC(drm_panel_get_modes, 0x75330ccc, "");
SYMBOL_CRC(of_drm_find_panel, 0x9384f81f, "");
SYMBOL_CRC(of_drm_get_panel_orientation, 0xc439a6a1, "");
SYMBOL_CRC(drm_is_panel_follower, 0x4dd535d1, "");
SYMBOL_CRC(drm_panel_add_follower, 0x1ffec9ea, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x38ab055c, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x32a94cc4, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x494039d1, "");
SYMBOL_CRC(drm_of_crtc_port_mask, 0xca6043de, "");
SYMBOL_CRC(drm_of_find_possible_crtcs, 0xb4887e7b, "");
SYMBOL_CRC(drm_of_component_match_add, 0x1365787e, "_gpl");
SYMBOL_CRC(drm_of_component_probe, 0x4a26e4e8, "");
SYMBOL_CRC(drm_of_encoder_active_endpoint, 0xf659fbf0, "_gpl");
SYMBOL_CRC(drm_of_find_panel_or_bridge, 0x61a4f707, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_dual_link_pixel_order, 0xfa746e54, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_data_mapping, 0x7fb7e21b, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count, 0xd78672fb, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count_ep, 0x5dccd955, "_gpl");
SYMBOL_CRC(drm_of_get_dsi_bus, 0xa5741698, "_gpl");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x88c6c25c, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xc0af3dc5, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x0c410b69, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xaae185a0, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x64e37727, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x4b3b7d3a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xfa93a57a, "ida_alloc_range" },
	{ 0xc66b7d5c, "try_module_get" },
	{ 0x26324b01, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3338f3b8, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdc071f95, "alloc_anon_inode" },
	{ 0x11b8fc16, "show_class_attr_string" },
	{ 0xb4e61c82, "kthread_cancel_work_sync" },
	{ 0x80390c59, "is_acpi_device_node" },
	{ 0xc84fa760, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xa68ba871, "kthread_flush_work" },
	{ 0xbeabb756, "bpf_trace_run4" },
	{ 0xf3d000ea, "ida_destroy" },
	{ 0x65e89c80, "idr_find" },
	{ 0xc39bef0e, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb6a3fb79, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9c550671, "shmem_read_folio_gfp" },
	{ 0xd40cc4a6, "__folio_batch_release" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x821c7a0f, "component_master_add_with_match" },
	{ 0xe397caf5, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x96c2b3d6, "trace_raw_output_prep" },
	{ 0xf4381a4, "dma_resv_init" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xe1504b36, "dma_resv_wait_timeout" },
	{ 0x72681d98, "device_unregister" },
	{ 0xef7ea16c, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0xdf9ba554, "kthread_flush_worker" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x338c5306, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb08d501a, "request_firmware" },
	{ 0x5ab4996d, "class_destroy" },
	{ 0xe11c1890, "trace_event_printf" },
	{ 0x51ea5cac, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x797e9371, "idr_replace" },
	{ 0xa943b338, "ww_mutex_unlock" },
	{ 0x31c53140, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xa1b977b7, "fd_install" },
	{ 0x1dd17732, "dma_fence_chain_ops" },
	{ 0x668d1055, "of_graph_parse_endpoint" },
	{ 0xb63501b9, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4244935e, "component_del" },
	{ 0x8247fd9e, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xad94eebb, "iput" },
	{ 0xa2e3afda, "seq_lseek" },
	{ 0x66897259, "of_graph_get_remote_port_parent" },
	{ 0x88102cf0, "prepare_to_wait_event" },
	{ 0x3b2e1a46, "of_graph_get_remote_port" },
	{ 0x9615fd8a, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xe8402929, "event_triggers_call" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0x4f07ba9e, "dma_fence_add_callback" },
	{ 0xcc53dcf6, "synchronize_srcu" },
	{ 0x972ffc06, "dma_fence_set_deadline" },
	{ 0xa010291, "get_device" },
	{ 0xa15d68be, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x86400176, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2d59638a, "of_graph_get_endpoint_by_regs" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x15546063, "wake_up_process" },
	{ 0xffc96d85, "dev_driver_string" },
	{ 0xe3774a17, "dma_buf_map_attachment_unlocked" },
	{ 0x5608eb1f, "trace_event_buffer_commit" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x6179a97b, "ww_mutex_trylock" },
	{ 0x3675ed9a, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x6f3923ee, "devm_of_find_backlight" },
	{ 0xdd1bbf60, "of_get_next_child" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc584dfa6, "dma_max_mapping_size" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xf9dcbe25, "trace_event_ignore_this_pid" },
	{ 0x13d72c0b, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0xec2c2a45, "kthread_queue_work" },
	{ 0xc6b20354, "idr_get_next" },
	{ 0x7d24860e, "dma_fence_remove_callback" },
	{ 0xdde002f5, "rt_write_unlock" },
	{ 0x825fe1a2, "_dev_info" },
	{ 0x7dfd692, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0x556f5f59, "atomic_dec_and_mutex_lock" },
	{ 0xf6d45d1d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9a5ed5e6, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x9c243fff, "idr_remove" },
	{ 0x74abec12, "dma_fence_chain_walk" },
	{ 0x4518c317, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd9b93019, "__task_pid_nr_ns" },
	{ 0x9bd4a33e, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0xe731794f, "__xa_alloc" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xe7005b52, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa4ed84df, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x3e3463a5, "perf_trace_run_bpf_submit" },
	{ 0x7f40aebc, "fput" },
	{ 0x5d5e9f15, "down_write" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0x9b7b9887, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x281384ee, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x1228589b, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x74873c7f, "__of_parse_phandle_with_args" },
	{ 0x860d41b2, "sysfs_remove_link" },
	{ 0x9830f73d, "idr_alloc" },
	{ 0x29f27af0, "pid_task" },
	{ 0x814cc343, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xb0856c87, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xdcc681ed, "xa_load" },
	{ 0x415fa984, "noop_llseek" },
	{ 0x79679110, "dma_fence_signal" },
	{ 0xa94170f7, "folio_mark_accessed" },
	{ 0x6be49b54, "dma_resv_fini" },
	{ 0xc51e7362, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x49305c7c, "dma_buf_get" },
	{ 0xd6737fd7, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xb3947e22, "aperture_remove_conflicting_pci_devices" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xcce8863d, "ww_mutex_lock" },
	{ 0x942f4474, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4c963d5d, "of_property_count_elems_of_size" },
	{ 0xa088254d, "dma_buf_put" },
	{ 0x9d34698, "ida_free" },
	{ 0x522f7a7e, "of_property_read_string" },
	{ 0xcc274dc9, "of_find_property" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xa06352f8, "of_graph_get_next_endpoint" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x59b4df89, "of_device_is_available" },
	{ 0xafcf4d20, "dma_fence_init" },
	{ 0xf98f7136, "mutex_lock_interruptible" },
	{ 0xb53f2610, "of_graph_get_remote_node" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5f1d68d2, "device_register" },
	{ 0x50c37a85, "device_del" },
	{ 0xe1d3d175, "idr_destroy" },
	{ 0xbbd7db93, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0x7c029025, "_dev_warn" },
	{ 0xcb45433, "unregister_acpi_bus_type" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x370c45a6, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3bb52ce9, "component_release_of" },
	{ 0x5f8e9050, "devm_aperture_acquire_for_platform_device" },
	{ 0x3364f73e, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa28dc2ce, "xa_erase" },
	{ 0x3be31feb, "check_move_unevictable_folios" },
	{ 0x5684fd92, "bpf_trace_run3" },
	{ 0x2844ff76, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0xc43847dd, "idr_for_each" },
	{ 0xeecf786b, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x65e4b02b, "trace_event_buffer_reserve" },
	{ 0xae34c25b, "of_find_mipi_dsi_host_by_node" },
	{ 0x9cc24389, "dma_map_sgtable" },
	{ 0x54975963, "kthread_destroy_worker" },
	{ 0xcca31c24, "component_match_add_release" },
	{ 0x85df9b6c, "strsep" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x11e0d67c, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x98195e90, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x356ccacd, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x139f1597, "seq_write" },
	{ 0xdcacfd4, "rt_read_unlock" },
	{ 0xe454bcf9, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x781c8acc, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa96d6898, "seq_printf" },
	{ 0x268d12e2, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xbdc2bed5, "__rt_mutex_init" },
	{ 0xaa54fb91, "__srcu_read_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xeabcdc0f, "rt_write_lock" },
	{ 0x717168cd, "debugfs_create_file_full" },
	{ 0x4fa0ddde, "i2c_transfer" },
	{ 0x7d9bea62, "dma_fence_allocate_private_stub" },
	{ 0xad516368, "dma_buf_detach" },
	{ 0xa94d06fc, "dma_fence_signal_timestamp" },
	{ 0xc603d5f2, "dma_fence_chain_init" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x9b9813d2, "seq_puts" },
	{ 0xafda101c, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa5070173, "pid_vnr" },
	{ 0xc5cb5fb9, "sched_set_fifo" },
	{ 0x6e960f57, "of_node_name_eq" },
	{ 0x60bb3932, "simple_release_fs" },
	{ 0x355ad141, "dev_err_probe" },
	{ 0xd184e587, "dma_unmap_sg_attrs" },
	{ 0x7d86c3fc, "kill_anon_super" },
	{ 0xf043cc5b, "from_kuid_munged" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x39dc67b2, "__devm_add_action" },
	{ 0x1285f8bb, "component_add" },
	{ 0x82bf5969, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6bdb344b, "dma_fence_chain_find_seqno" },
	{ 0xf78cac47, "param_ops_int" },
	{ 0xe2d73396, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2123966e, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xf2ce89eb, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6aa50cec, "sync_file_get_fence" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0x10d63bb2, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9f624f74, "__dev_fwnode" },
	{ 0xfb9d2543, "pci_bus_type" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x2e564b99, "class_remove_file_ns" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x2525d2f5, "simple_pin_fs" },
	{ 0x7c5ef12d, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "43574607E291109CAFB0FFB");
MODULE_INFO(rhelversion, "9.7");
