#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xc93a85f1, "");
SYMBOL_CRC(drm_gem_vram_put, 0x43c7a39f, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xc1f9b260, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x06ab921a, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xb3e429be, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x00a7244a, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xb30f942d, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x22877ac6, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x733ac3da, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x85a3ad8c, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xf92271d8, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x51f98852, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xa5e4150c, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x8934fdb8, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x7be0fff4, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xd2de7171, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb8e1386, "ttm_range_man_init_nocheck" },
	{ 0x3338f3b8, "ww_mutex_lock_interruptible" },
	{ 0x7d52a52e, "ttm_resource_manager_debug" },
	{ 0xa943b338, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x12fff469, "ttm_range_man_fini_nocheck" },
	{ 0x7e0647ff, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0x75bd8dbe, "ttm_bo_pin" },
	{ 0xffc96d85, "dev_driver_string" },
	{ 0xe940d4b2, "drm_gem_ttm_mmap" },
	{ 0x8945ce6, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4f7e6202, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe507d28d, "drm_gem_object_release" },
	{ 0xdcf39d5f, "ttm_tt_init" },
	{ 0xc18f5d34, "drm_gem_handle_create" },
	{ 0x59bcfc21, "drm_gem_fb_get_obj" },
	{ 0xb0c68af3, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x64e37727, "drm_debugfs_add_files" },
	{ 0xde6f16, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa83cae41, "ttm_device_init" },
	{ 0x5c6a1778, "ttm_bo_validate" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcba51e7, "ttm_bo_move_to_lru_tail" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x47b0c0c2, "ttm_bo_vmap" },
	{ 0xdd7149d5, "ttm_bo_put" },
	{ 0x4f3985b9, "ttm_resource_free" },
	{ 0x8619f561, "ttm_bo_move_memcpy" },
	{ 0x301c7024, "ttm_tt_fini" },
	{ 0x11cc4b76, "ttm_device_fini" },
	{ 0x90aadaff, "drm_gem_plane_helper_prepare_fb" },
	{ 0xc1ebe946, "ttm_bo_eviction_valuable" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0xef9f17d8, "drm_gem_ttm_print_info" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");
MODULE_INFO(rhelversion, "9.7");
