#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0x882bf84f, "");
SYMBOL_CRC(host1x_device_exit, 0x0913801b, "");
SYMBOL_CRC(host1x_driver_register_full, 0x6875e89a, "");
SYMBOL_CRC(host1x_driver_unregister, 0x0b046b2f, "");
SYMBOL_CRC(__host1x_client_init, 0x83c113b5, "");
SYMBOL_CRC(host1x_client_exit, 0x66bf75a8, "");
SYMBOL_CRC(__host1x_client_register, 0xfc96ffa8, "");
SYMBOL_CRC(host1x_client_unregister, 0x6d96bafc, "");
SYMBOL_CRC(host1x_client_suspend, 0xc10b5039, "");
SYMBOL_CRC(host1x_client_resume, 0x7656aaaa, "");
SYMBOL_CRC(host1x_bo_pin, 0xa80d2965, "");
SYMBOL_CRC(host1x_bo_unpin, 0xaa051e28, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0x0fad5e95, "");
SYMBOL_CRC(host1x_syncpt_id, 0x08b83cd5, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0x0b9f1aaf, "");
SYMBOL_CRC(host1x_syncpt_incr, 0x7ba51109, "");
SYMBOL_CRC(host1x_syncpt_wait, 0xc4d1c281, "");
SYMBOL_CRC(host1x_syncpt_request, 0xf1b98a36, "");
SYMBOL_CRC(host1x_syncpt_put, 0x38d443c2, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0xd8faebb0, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0xfa42ddb2, "");
SYMBOL_CRC(host1x_syncpt_read, 0x10e665cd, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0xcb2bd163, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0xe99cb53f, "");
SYMBOL_CRC(host1x_syncpt_get, 0x993a8590, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0x4d09fd93, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0x853fba75, "");
SYMBOL_CRC(host1x_get_dma_mask, 0xa12f9690, "");
SYMBOL_CRC(host1x_job_submit, 0x9df6cb5a, "");
SYMBOL_CRC(host1x_channel_get, 0x3ba46788, "");
SYMBOL_CRC(host1x_channel_stop, 0xcf075cbe, "");
SYMBOL_CRC(host1x_channel_put, 0x66f192f1, "");
SYMBOL_CRC(host1x_channel_request, 0xd18648a9, "");
SYMBOL_CRC(host1x_job_alloc, 0x139bec65, "");
SYMBOL_CRC(host1x_job_get, 0x18ddfec4, "");
SYMBOL_CRC(host1x_job_put, 0xa7f6cc06, "");
SYMBOL_CRC(host1x_job_add_gather, 0x851a3ea8, "");
SYMBOL_CRC(host1x_job_add_wait, 0x5177df12, "");
SYMBOL_CRC(host1x_job_pin, 0x4b721340, "");
SYMBOL_CRC(host1x_job_unpin, 0xdde04b46, "");
SYMBOL_CRC(tegra_mipi_request, 0xefaeda8c, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0x4d1b3841, "");
SYMBOL_CRC(host1x_fence_cancel, 0x51d9ee88, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0x1560b509, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0x323f35cb, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0xc26ef857, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x87f837e, "iommu_map_sg" },
	{ 0xd6a1cf0a, "platform_device_put" },
	{ 0x2d7e0f58, "dma_fence_signal_locked" },
	{ 0xf24b67fe, "devm_platform_ioremap_resource" },
	{ 0x6723b087, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x247f892e, "devm_request_threaded_irq" },
	{ 0xd31363e4, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x5e73df97, "devm_platform_get_and_ioremap_resource" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0xffa7ecbd, "of_find_device_by_node" },
	{ 0x6db83efc, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96c2b3d6, "trace_raw_output_prep" },
	{ 0xc260103c, "iommu_group_get" },
	{ 0x72681d98, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0xe11c1890, "trace_event_printf" },
	{ 0xb676ed92, "free_iova" },
	{ 0x41c82fe7, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x31c53140, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb63501b9, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb05b656f, "pm_generic_poweroff" },
	{ 0xa2e3afda, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9493d651, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xe8402929, "event_triggers_call" },
	{ 0x4f07ba9e, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5e50c0a2, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x561881c5, "devm_clk_get" },
	{ 0x2cbc77b8, "dma_fence_wait_timeout" },
	{ 0x293d8d1f, "__free_iova" },
	{ 0x5608eb1f, "trace_event_buffer_commit" },
	{ 0x2b8b3aec, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x166d407, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb836d3ee, "iommu_detach_group" },
	{ 0xdd1bbf60, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0xf9dcbe25, "trace_event_ignore_this_pid" },
	{ 0x1513438f, "pm_runtime_enable" },
	{ 0xd79ef7cd, "alloc_iova" },
	{ 0x5a5283b3, "devm_tegra_core_dev_init_opp_table" },
	{ 0xc28fd540, "platform_get_irq_byname_optional" },
	{ 0x7d24860e, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0xbb30c94f, "pm_generic_suspend" },
	{ 0xf817eb6, "iommu_get_domain_for_dev" },
	{ 0x70603210, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9454b9e6, "put_iova_domain" },
	{ 0x3e3463a5, "perf_trace_run_bpf_submit" },
	{ 0xdc14e287, "bus_unregister" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0xfe26135d, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x1228589b, "device_add" },
	{ 0x74873c7f, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xcd67705e, "iommu_unmap" },
	{ 0x79679110, "dma_fence_signal" },
	{ 0x73e7814c, "bpf_trace_run5" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0x4bb1f919, "dma_alloc_attrs" },
	{ 0xd6737fd7, "debugfs_remove" },
	{ 0x942f4474, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0x4c963d5d, "of_property_count_elems_of_size" },
	{ 0xe625fe88, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe9e1ec6a, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x59b4df89, "of_device_is_available" },
	{ 0xafcf4d20, "dma_fence_init" },
	{ 0xf98f7136, "mutex_lock_interruptible" },
	{ 0x4fe1bef1, "host1x_context_device_bus_type" },
	{ 0x6336d996, "bpf_trace_run1" },
	{ 0x50c37a85, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x7c029025, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x71881a2a, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2e12cb5, "debugfs_create_u32" },
	{ 0xfa720d26, "devm_platform_ioremap_resource_byname" },
	{ 0x6e24f593, "iommu_paging_domain_alloc_flags" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0xd4f5389e, "dma_set_coherent_mask" },
	{ 0x5684fd92, "bpf_trace_run3" },
	{ 0x2844ff76, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xd2469650, "dma_free_attrs" },
	{ 0x65e4b02b, "trace_event_buffer_reserve" },
	{ 0x5e62cb13, "__pm_runtime_resume" },
	{ 0xb58185c4, "init_iova_domain" },
	{ 0x48ad58bd, "__devm_reset_control_bulk_get" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2eee443e, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x139f1597, "seq_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa96d6898, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x717168cd, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xefa38319, "iommu_map" },
	{ 0xafda101c, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3dff1fdf, "dma_set_mask" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x33262e35, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x79c9ebee, "iommu_attach_group" },
	{ 0x2123966e, "single_open" },
	{ 0xd097efc1, "of_device_get_match_data" },
	{ 0x98ee879c, "pm_generic_restore" },
	{ 0x7cbab557, "__pm_runtime_disable" },
	{ 0xf2ce89eb, "debugfs_create_dir" },
	{ 0x460f5517, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2f182bd8, "platform_unregister_drivers" },
	{ 0xced3d83b, "pm_runtime_force_suspend" },
	{ 0xd2c4cfb3, "driver_register" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0x10d63bb2, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xaec7d3a4, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0xd20bbb5b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "8CD5462CE85C09725138322");
MODULE_INFO(rhelversion, "9.7");
