#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__vmbus_driver_register, "_gpl", "");
KSYMTAB_FUNC(vmbus_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(vmbus_allocate_mmio, "_gpl", "");
KSYMTAB_FUNC(vmbus_free_mmio, "_gpl", "");
KSYMTAB_DATA(vmbus_connection, "_gpl", "");
KSYMTAB_DATA(vmbus_proto_version, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_event, "_gpl", "");
KSYMTAB_FUNC(vmbus_setevent, "_gpl", "");
KSYMTAB_FUNC(vmbus_free_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_alloc_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_send_tl_connect_request, "_gpl", "");
KSYMTAB_FUNC(vmbus_send_modifychannel, "_gpl", "");
KSYMTAB_FUNC(vmbus_establish_gpadl, "_gpl", "");
KSYMTAB_FUNC(vmbus_connect_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_open, "_gpl", "");
KSYMTAB_FUNC(vmbus_teardown_gpadl, "_gpl", "");
KSYMTAB_FUNC(vmbus_disconnect_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_close, "_gpl", "");
KSYMTAB_FUNC(vmbus_sendpacket_getid, "", "");
KSYMTAB_FUNC(vmbus_sendpacket, "", "");
KSYMTAB_FUNC(vmbus_sendpacket_pagebuffer, "_gpl", "");
KSYMTAB_FUNC(vmbus_sendpacket_mpb_desc, "_gpl", "");
KSYMTAB_FUNC(vmbus_recvpacket, "", "");
KSYMTAB_FUNC(vmbus_recvpacket_raw, "_gpl", "");
KSYMTAB_FUNC(vmbus_next_request_id, "_gpl", "");
KSYMTAB_FUNC(__vmbus_request_addr_match, "_gpl", "");
KSYMTAB_FUNC(vmbus_request_addr_match, "_gpl", "");
KSYMTAB_FUNC(vmbus_request_addr, "_gpl", "");
KSYMTAB_DATA(vmbus_devs, "_gpl", "");
KSYMTAB_FUNC(vmbus_prep_negotiate_resp, "_gpl", "");
KSYMTAB_FUNC(vmbus_hvsock_device_unregister, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_sc_create_callback, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_chn_rescind_callback, "_gpl", "");
KSYMTAB_FUNC(hv_ringbuffer_get_debuginfo, "_gpl", "");
KSYMTAB_FUNC(hv_ringbuffer_spinlock_busy, "_gpl", "");
KSYMTAB_FUNC(hv_pkt_iter_first, "_gpl", "");
KSYMTAB_FUNC(__hv_pkt_iter_next, "_gpl", "");
KSYMTAB_FUNC(hv_pkt_iter_close, "_gpl", "");

SYMBOL_CRC(__vmbus_driver_register, 0xca2f7186, "_gpl");
SYMBOL_CRC(vmbus_driver_unregister, 0x42f321f8, "_gpl");
SYMBOL_CRC(vmbus_allocate_mmio, 0x4ce49390, "_gpl");
SYMBOL_CRC(vmbus_free_mmio, 0x31e2e77f, "_gpl");
SYMBOL_CRC(vmbus_connection, 0x2f486d6c, "_gpl");
SYMBOL_CRC(vmbus_proto_version, 0x46a417ca, "_gpl");
SYMBOL_CRC(vmbus_set_event, 0x0fa0524e, "_gpl");
SYMBOL_CRC(vmbus_setevent, 0x1c984c23, "_gpl");
SYMBOL_CRC(vmbus_free_ring, 0xce8dde2b, "_gpl");
SYMBOL_CRC(vmbus_alloc_ring, 0x90b819b9, "_gpl");
SYMBOL_CRC(vmbus_send_tl_connect_request, 0x4b2210b8, "_gpl");
SYMBOL_CRC(vmbus_send_modifychannel, 0x927b078a, "_gpl");
SYMBOL_CRC(vmbus_establish_gpadl, 0x3970a231, "_gpl");
SYMBOL_CRC(vmbus_connect_ring, 0x9973bc8c, "_gpl");
SYMBOL_CRC(vmbus_open, 0x0c4a6232, "_gpl");
SYMBOL_CRC(vmbus_teardown_gpadl, 0x6060a5d6, "_gpl");
SYMBOL_CRC(vmbus_disconnect_ring, 0x305168ae, "_gpl");
SYMBOL_CRC(vmbus_close, 0xab8aa433, "_gpl");
SYMBOL_CRC(vmbus_sendpacket_getid, 0xc18d8903, "");
SYMBOL_CRC(vmbus_sendpacket, 0xfe6cf74d, "");
SYMBOL_CRC(vmbus_sendpacket_pagebuffer, 0x68611e4a, "_gpl");
SYMBOL_CRC(vmbus_sendpacket_mpb_desc, 0x4d0c0731, "_gpl");
SYMBOL_CRC(vmbus_recvpacket, 0x153b96a8, "");
SYMBOL_CRC(vmbus_recvpacket_raw, 0x1308effa, "_gpl");
SYMBOL_CRC(vmbus_next_request_id, 0xf8c9e5c0, "_gpl");
SYMBOL_CRC(__vmbus_request_addr_match, 0xb8fd6b2a, "_gpl");
SYMBOL_CRC(vmbus_request_addr_match, 0xdc2fc2fd, "_gpl");
SYMBOL_CRC(vmbus_request_addr, 0x9e6cf3b0, "_gpl");
SYMBOL_CRC(vmbus_devs, 0x59a7261d, "_gpl");
SYMBOL_CRC(vmbus_prep_negotiate_resp, 0x321055cb, "_gpl");
SYMBOL_CRC(vmbus_hvsock_device_unregister, 0x8745d7d1, "_gpl");
SYMBOL_CRC(vmbus_set_sc_create_callback, 0x9b36d494, "_gpl");
SYMBOL_CRC(vmbus_set_chn_rescind_callback, 0x52868e6c, "_gpl");
SYMBOL_CRC(hv_ringbuffer_get_debuginfo, 0xcc14e9a9, "_gpl");
SYMBOL_CRC(hv_ringbuffer_spinlock_busy, 0x295c591c, "_gpl");
SYMBOL_CRC(hv_pkt_iter_first, 0x9d57d8fe, "_gpl");
SYMBOL_CRC(__hv_pkt_iter_next, 0x51c61c02, "_gpl");
SYMBOL_CRC(hv_pkt_iter_close, 0xb92d2e58, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xbdb2217d, "hv_is_isolation_supported" },
	{ 0x80390c59, "is_acpi_device_node" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf61c6b74, "hv_do_hypercall" },
	{ 0x3c0e8050, "hyperv_pcpu_input_arg" },
	{ 0xf6826b16, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb5b6fb04, "hv_get_vpreg" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x31128b8e, "hv_remove_kexec_handler" },
	{ 0x56c70ad7, "housekeeping_cpumask" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0xc4663cdf, "platform_driver_unregister" },
	{ 0xfa24eab3, "vmalloc_to_page" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96c2b3d6, "trace_raw_output_prep" },
	{ 0x13099da2, "pci_dev_put" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9837b74e, "driver_attach" },
	{ 0x72681d98, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0xb612a426, "pci_get_device" },
	{ 0xe11c1890, "trace_event_printf" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0xa2f7487f, "hv_is_hibernation_supported" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xb63501b9, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfa1eb910, "unregister_syscore_ops" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xabe3786a, "kset_unregister" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9493d651, "bpf_trace_run2" },
	{ 0x16dfbf36, "add_interrupt_randomness" },
	{ 0xe8402929, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xa010291, "get_device" },
	{ 0xc3876c1a, "hv_isolation_type_snp" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8e9bd4a3, "hv_alloc_hyperv_page" },
	{ 0x5608eb1f, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x1616580, "panic_notifier_list" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5318c849, "atomic_notifier_chain_register" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0xf9dcbe25, "trace_event_ignore_this_pid" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x9292ff10, "__free_pages" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8d4b0f4f, "of_pci_range_parser_one" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4a7e8b62, "device_get_dma_attr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x7e4c3df5, "efi" },
	{ 0x3e3463a5, "perf_trace_run_bpf_submit" },
	{ 0xdc14e287, "bus_unregister" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xbbaea7c5, "__cpuhp_setup_state" },
	{ 0x13b9e193, "acpi_dev_resource_interrupt" },
	{ 0xcd1f5dec, "hv_setup_dma_ops" },
	{ 0x7bb045a7, "__request_percpu_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc25b8971, "hv_remove_crash_handler" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x942f4474, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x27df3105, "hv_alloc_hyperv_zeroed_page" },
	{ 0xe625fe88, "driver_unregister" },
	{ 0x4f4d1c9c, "vmap" },
	{ 0x1166494c, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x79f0990d, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xee006366, "hv_isolation_type_tdx" },
	{ 0x52ce2057, "hv_setup_crash_handler" },
	{ 0x5f1d68d2, "device_register" },
	{ 0x6336d996, "bpf_trace_run1" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8b89f01c, "hv_ghcb_hypercall" },
	{ 0x12b13422, "__alloc_pages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xb9c425de, "register_syscore_ops" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbc6bec66, "free_percpu_irq" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x2c86a755, "hv_tdx_hypercall" },
	{ 0xab1e0e93, "hv_setup_kexec_handler" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x646b40a2, "__platform_driver_register" },
	{ 0x12b66dcb, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x2ffedb6b, "hv_free_hyperv_page" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf42d4480, "atomic_notifier_chain_unregister" },
	{ 0x65e4b02b, "trace_event_buffer_reserve" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x335c570f, "enable_percpu_irq" },
	{ 0x3fae6ab0, "hv_vp_index" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x90a9d8cc, "hv_is_hyperv_initialized" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4c8adfe1, "hv_root_partition" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4475dcaf, "hv_nested" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x3c23def4, "kobject_uevent" },
	{ 0xeaf8469d, "hv_do_fast_hypercall8" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3dff1fdf, "dma_set_mask" },
	{ 0x3bfec334, "of_pci_range_parser_init" },
	{ 0xa96e8b4e, "hv_setup_vmbus_handler" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x8ba0eb15, "hv_set_vpreg" },
	{ 0x8ca24943, "set_primary_fwnode" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x349cba85, "strchr" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd2c4cfb3, "driver_register" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0xea90c90d, "__cpuhp_remove_state" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf21e1f9b, "disable_percpu_irq" },
	{ 0x6be3a96b, "hv_remove_vmbus_handler" },
	{ 0xd20bbb5b, "bus_register" },
	{ 0x61a86fe1, "kset_create_and_add" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x856ebfb4, "kobject_put" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:VMBUS:*");
MODULE_ALIAS("acpi*:VMBus:*");
MODULE_ALIAS("of:N*T*Cmicrosoft,vmbus");
MODULE_ALIAS("of:N*T*Cmicrosoft,vmbusC*");

MODULE_INFO(srcversion, "A28D0D4928CC8FDC14EFE21");
MODULE_INFO(rhelversion, "9.7");
