#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_snap_origin, "", "");
KSYMTAB_FUNC(dm_snap_cow, "", "");
KSYMTAB_FUNC(dm_exception_store_type_register, "", "");
KSYMTAB_FUNC(dm_exception_store_type_unregister, "", "");
KSYMTAB_FUNC(dm_exception_store_create, "", "");
KSYMTAB_FUNC(dm_exception_store_destroy, "", "");

SYMBOL_CRC(dm_snap_origin, 0x97e4fc4f, "");
SYMBOL_CRC(dm_snap_cow, 0x5f95bb1a, "");
SYMBOL_CRC(dm_exception_store_type_register, 0x082aca9e, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0xb7da5c57, "");
SYMBOL_CRC(dm_exception_store_create, 0x9e7bccf7, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x7145f0aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3938c6a9, "bio_associate_blkg" },
	{ 0xf7ec7af7, "dm_internal_resume_fast" },
	{ 0xc66b7d5c, "try_module_get" },
	{ 0x3c3b8e50, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf6826b16, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d171c9, "dm_per_bio_data" },
	{ 0x178eec51, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb7f2eebe, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x338c5306, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xc4bf5eb6, "mempool_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x3f9e9592, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x88102cf0, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0x5fe2a4aa, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfc783bd2, "mempool_free" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0x637124bc, "dm_accept_partial_bio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf787739, "mempool_alloc" },
	{ 0x85cef9de, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xf6d45d1d, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd6c4251d, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5d5e9f15, "down_write" },
	{ 0x9b7b9887, "up_write" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xfd8f33f2, "__wake_up_locked" },
	{ 0xd79c10e2, "dm_suspended" },
	{ 0xc4cc3939, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xab7b8b42, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x1b2f6a89, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xa8ad724f, "dm_unregister_target" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf775daea, "dm_set_target_max_io_len" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x360302d9, "dm_kcopyd_zero" },
	{ 0xdcb764ad, "memset" },
	{ 0xd0f1247c, "dm_table_event" },
	{ 0x67c6c0c1, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0xb813269e, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8d2d18d2, "down_read" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc3842038, "dm_kcopyd_copy" },
	{ 0x100b0d38, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x3fc6115b, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0x68647982, "blkdev_issue_flush" },
	{ 0xdbe21b66, "remove_wait_queue" },
	{ 0xd36236de, "dm_table_get_md" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x291aca82, "dm_io" },
	{ 0x6bd05582, "dm_get_device" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa4f338e8, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0xae5bd4ac, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa3c0cbf9, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8dd1f885, "kmem_cache_destroy" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,dm-bufio");


MODULE_INFO(srcversion, "E733703757C08D5A4B8DEBE");
MODULE_INFO(rhelversion, "9.7");
