#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0xf5b8c095, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0xf2476989, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x2b69394e, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x7d60bf7e, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x9b0ee788, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x3d9cc091, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x9d72558f, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x7c98fb76, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x84a3d981, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x82a3593d, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x719b9525, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xd4ed3b9c, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x24807e32, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x0295462e, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0xfa9079ec, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0xfedebd26, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xdbe3c471, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x338c5306, "finish_wait" },
	{ 0x31c53140, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2e3afda, "seq_lseek" },
	{ 0x88102cf0, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0xa010291, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x15546063, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xa8f8758f, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc46d1d99, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xdc14e287, "bus_unregister" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xd6737fd7, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7012434f, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0x909a7afb, "kthread_create_on_node" },
	{ 0x2844ff76, "seq_read" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82f08d36, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x6ab6ad16, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa96d6898, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x717168cd, "debugfs_create_file_full" },
	{ 0x9b9813d2, "seq_puts" },
	{ 0xafda101c, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf78cac47, "param_ops_int" },
	{ 0x2123966e, "single_open" },
	{ 0xf2ce89eb, "debugfs_create_dir" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0xfe6d8837, "cdev_init" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0xd20bbb5b, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6E16BA39B674A2A31DB9EFC");
MODULE_INFO(rhelversion, "9.7");
