#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xa4c662d1, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0xcab2e374, "_gpl");
SYMBOL_CRC(media_device_init, 0x1a114dc7, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x7f15d608, "_gpl");
SYMBOL_CRC(__media_device_register, 0x8a1a5a48, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x731aa65a, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xfc7b7e9e, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x052507e3, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0xcfc92b10, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xf2df0ebe, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x5ed57c3b, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x8b238034, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x2da54812, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xe41168a0, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x759bfcfa, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x450437cf, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xb04c0e9d, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x62d7c7f2, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xda09bf2c, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x4f267704, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x8f66bc95, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x582b8caf, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x6f221af8, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xb365b3cd, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xe1ee43b9, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x75358bc3, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x0f176f33, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xe0669741, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x045225fd, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xd3760175, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0xb7c4acab, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x4c6429d4, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x55db3ee7, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x514dfd7c, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x4e25e831, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x167ac8de, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x835a60d4, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xe7c8f45b, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x1b9df714, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x9ce4d17b, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x38ef36c1, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x338a5279, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x5bc94df6, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x4298e4d7, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x80ab2fc2, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x38afbd0b, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x42f2ad73, "_gpl");
SYMBOL_CRC(media_request_put, 0x6edafef2, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x5e92ed16, "_gpl");
SYMBOL_CRC(media_request_object_find, 0xf3f8a8be, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x6876e7fd, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xcbde2fb4, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xd759bbf0, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x4e963c87, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xff85d056, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xed9497ca, "_gpl");
SYMBOL_CRC(media_device_delete, 0x4788fec8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0xfa93a57a, "ida_alloc_range" },
	{ 0xc66b7d5c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x26324b01, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf3d000ea, "ida_destroy" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdbe3c471, "cdev_device_del" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x31c53140, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa1b977b7, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0xa010291, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5e50c0a2, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0xa8f8758f, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc78b6a33, "fwnode_graph_parse_endpoint" },
	{ 0xf6d45d1d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbb8ae9dc, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xdc14e287, "bus_unregister" },
	{ 0x7f40aebc, "fput" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0x9d34698, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x7c029025, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xe454bcf9, "platform_bus_type" },
	{ 0x6ab6ad16, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0xfe6d8837, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfb9d2543, "pci_bus_type" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x6c7f3c9, "device_remove_file" },
	{ 0xd20bbb5b, "bus_register" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");
MODULE_INFO(rhelversion, "9.7");
