#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xa06ae049, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xd609481e, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x20b68267, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xffcfb18d, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xe4452665, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabd8dd2a, "__do_once_done" },
	{ 0xeb3d2c5d, "ip6_route_input_lookup" },
	{ 0xfa93a57a, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x78677bda, "dev_pre_changeaddr_notify" },
	{ 0xceeae208, "dev_mc_sync" },
	{ 0xf3d000ea, "ida_destroy" },
	{ 0xc7103761, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xaef95b1e, "netdev_update_features" },
	{ 0xb71e23e7, "consume_skb" },
	{ 0x8d2ceb32, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x146e2371, "dev_uc_sync" },
	{ 0xe2ad67b0, "rtnl_link_register" },
	{ 0xc422d33d, "netif_inherit_tso_max" },
	{ 0xa1bfdb95, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x574acac1, "ip_route_output_flow" },
	{ 0xe3aca151, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xdd5d87eb, "dev_uc_unsync" },
	{ 0xb4345c95, "ether_setup" },
	{ 0x2214663e, "netdev_err" },
	{ 0xe1f3e936, "netdev_upper_dev_link" },
	{ 0x64f87add, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4922d6e2, "eth_header_parse" },
	{ 0x22c857c7, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac49eed5, "eth_header_cache_update" },
	{ 0x62a1bf35, "nf_register_net_hooks" },
	{ 0x3596f06e, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xf3060525, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xed6cb9d4, "__dev_get_by_index" },
	{ 0x9ab918a7, "rtnl_link_unregister" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xf0431a51, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdac09ebf, "sk_skb_reason_drop" },
	{ 0xdda29b41, "netif_stacked_transfer_operstate" },
	{ 0x415efa87, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x9d34698, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x59942efe, "ns_capable" },
	{ 0x83963ea0, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc2ce1992, "ethtool_op_get_link" },
	{ 0xea5bcfb4, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x581050db, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6982cfea, "__pskb_pull_tail" },
	{ 0x3c76bf38, "netif_rx" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x94ca8139, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x325a17d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7f96e121, "vlan_vid_add" },
	{ 0x31aa31cc, "call_netdevice_notifiers" },
	{ 0xddbfdec1, "vlan_vid_del" },
	{ 0x9e080357, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x15814fee, "skb_clone" },
	{ 0xccf45130, "dst_release" },
	{ 0x45e9006b, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd1ae3e48, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xcfc36df6, "dev_mc_unsync" },
	{ 0x75450f7e, "dev_change_flags" },
	{ 0x63a7fd2d, "netdev_core_stats_inc" },
	{ 0x953ee369, "dev_forward_skb" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xab157348, "register_netdevice" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "7A73F089E94612E3EDC21BC");
MODULE_INFO(rhelversion, "9.7");
