#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geni_se_get_qup_hw_version, "", "");
KSYMTAB_FUNC(geni_se_init, "", "");
KSYMTAB_FUNC(geni_se_select_mode, "", "");
KSYMTAB_FUNC(geni_se_config_packing, "", "");
KSYMTAB_FUNC(geni_se_resources_off, "", "");
KSYMTAB_FUNC(geni_se_resources_on, "", "");
KSYMTAB_FUNC(geni_se_clk_tbl_get, "", "");
KSYMTAB_FUNC(geni_se_clk_freq_match, "", "");
KSYMTAB_FUNC(geni_se_tx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_rx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_icc_get, "", "");
KSYMTAB_FUNC(geni_icc_set_bw, "", "");
KSYMTAB_FUNC(geni_icc_set_tag, "", "");
KSYMTAB_FUNC(geni_icc_enable, "", "");
KSYMTAB_FUNC(geni_icc_disable, "", "");

SYMBOL_CRC(geni_se_get_qup_hw_version, 0x5cd7937e, "");
SYMBOL_CRC(geni_se_init, 0x75707282, "");
SYMBOL_CRC(geni_se_select_mode, 0xa4c1435b, "");
SYMBOL_CRC(geni_se_config_packing, 0x4e723145, "");
SYMBOL_CRC(geni_se_resources_off, 0x2ef57dd6, "");
SYMBOL_CRC(geni_se_resources_on, 0x6ab408fb, "");
SYMBOL_CRC(geni_se_clk_tbl_get, 0x981c080e, "");
SYMBOL_CRC(geni_se_clk_freq_match, 0xecdf5059, "");
SYMBOL_CRC(geni_se_tx_init_dma, 0x2348492d, "");
SYMBOL_CRC(geni_se_tx_dma_prep, 0xbf8a2705, "");
SYMBOL_CRC(geni_se_rx_init_dma, 0xd6663399, "");
SYMBOL_CRC(geni_se_rx_dma_prep, 0x4c0b7c4a, "");
SYMBOL_CRC(geni_se_tx_dma_unprep, 0x9cadb2d9, "");
SYMBOL_CRC(geni_se_rx_dma_unprep, 0xacd4b469, "");
SYMBOL_CRC(geni_icc_get, 0x350eb7b8, "");
SYMBOL_CRC(geni_icc_set_bw, 0x50c41b70, "");
SYMBOL_CRC(geni_icc_set_tag, 0x9e46b53f, "");
SYMBOL_CRC(geni_icc_enable, 0xdf06b334, "");
SYMBOL_CRC(geni_icc_disable, 0xc8f2e640, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x36fe9a39, "dma_unmap_page_attrs" },
	{ 0x80390c59, "is_acpi_device_node" },
	{ 0x97418b25, "devm_of_icc_get" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0xb4afc4aa, "icc_set_bw" },
	{ 0x973872b1, "icc_set_tag" },
	{ 0xb6bf75a4, "icc_enable" },
	{ 0x784cc6c9, "icc_disable" },
	{ 0x646b40a2, "__platform_driver_register" },
	{ 0xd31363e4, "devm_kmalloc" },
	{ 0xf24b67fe, "devm_platform_ioremap_resource" },
	{ 0x6723b087, "devm_of_platform_populate" },
	{ 0x5e50c0a2, "__dynamic_dev_dbg" },
	{ 0x3cbf4ef1, "device_get_match_data" },
	{ 0xd1f25c6d, "of_count_phandle_with_args" },
	{ 0x1d6fb3bb, "devm_clk_bulk_get" },
	{ 0xc4663cdf, "platform_driver_unregister" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x5d344044, "pinctrl_pm_select_default_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x4130118d, "pinctrl_pm_select_sleep_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe64ec5c, "dma_map_page_attrs" },
	{ 0xffc96d85, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,geni-se-qup");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-qupC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hubC*");

MODULE_INFO(srcversion, "6BEB0E519200071345C77E9");
MODULE_INFO(rhelversion, "9.7");
