#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xdc074311, "");
SYMBOL_CRC(w1_remove_master_device, 0x5c9c24cb, "");
SYMBOL_CRC(w1_register_family, 0x8989f368, "");
SYMBOL_CRC(w1_unregister_family, 0xcc3e65fb, "");
SYMBOL_CRC(w1_touch_bit, 0xcdd346de, "_gpl");
SYMBOL_CRC(w1_write_8, 0x3b045653, "_gpl");
SYMBOL_CRC(w1_triplet, 0xca38b708, "_gpl");
SYMBOL_CRC(w1_read_8, 0x30220aff, "_gpl");
SYMBOL_CRC(w1_write_block, 0x4e3d6cf1, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x14d6d545, "_gpl");
SYMBOL_CRC(w1_read_block, 0x7abc488c, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x367296bf, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xe913db6d, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x673ad14e, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x45ba2de7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x72681d98, "device_unregister" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x6bb6e18e, "sysfs_remove_groups" },
	{ 0x11fbcb0b, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x5e50c0a2, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x15546063, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0x825fe1a2, "_dev_info" },
	{ 0x9530d041, "flush_signals" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xdc14e287, "bus_unregister" },
	{ 0xc15a2e52, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3031a4b8, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xe625fe88, "driver_unregister" },
	{ 0x79f0990d, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7012434f, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5f1d68d2, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x7c029025, "_dev_warn" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x909a7afb, "kthread_create_on_node" },
	{ 0x12b66dcb, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x3c23def4, "kobject_uevent" },
	{ 0xb7f0168f, "hwmon_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xf78cac47, "param_ops_int" },
	{ 0x3f2a2a2a, "of_find_matching_node_and_match" },
	{ 0xd2c4cfb3, "driver_register" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd20bbb5b, "bus_register" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C7761A4473B5836B7F5AB3A");
MODULE_INFO(rhelversion, "9.7");
