#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs4_sequence_done, 0x873e6ad8, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x63ea146e, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xe9a8aeef, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x55cd9615, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x60114712, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x2765e55b, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x15e2da77, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x7f8f7726, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x43a9d77a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5f18343, "rpc_put_task" },
	{ 0xd39eb2b1, "svc_generic_rpcbind_set" },
	{ 0xd36ab4e2, "nfs_clone_server" },
	{ 0x7ff4edeb, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f2e095e, "filemap_fdatawrite" },
	{ 0x37e44f6d, "nfs_show_stats" },
	{ 0xfa93a57a, "ida_alloc_range" },
	{ 0xaea7ac22, "nfs_server_remove_lists" },
	{ 0xd0d30d3b, "generic_listxattr" },
	{ 0x37398c5a, "revert_creds" },
	{ 0x75155f08, "nfs_writeback_update_inode" },
	{ 0x9dc05f8d, "clear_inode" },
	{ 0xbeabb756, "bpf_trace_run4" },
	{ 0x1a70a9a6, "user_destroy" },
	{ 0x65e89c80, "idr_find" },
	{ 0xf6826b16, "param_ops_uint" },
	{ 0xb515f9e0, "user_revoke" },
	{ 0xa4f5a111, "d_exact_alias" },
	{ 0x7a1f336e, "nfs_alloc_client" },
	{ 0x79788e03, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xc30541c2, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7cee6f08, "xdr_write_pages" },
	{ 0x724f94b9, "rpc_shutdown_client" },
	{ 0x13592f44, "svc_bind" },
	{ 0x827dc929, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xa010fbc6, "nfs_free_inode" },
	{ 0x67894f03, "nfs_access_zap_cache" },
	{ 0x7c63fb10, "nfs_sb_deactive" },
	{ 0x7a0503e2, "nfs_wb_all" },
	{ 0xf2fc822a, "generic_file_splice_read" },
	{ 0xbf701629, "__break_lease" },
	{ 0xe425f967, "svc_recv" },
	{ 0x3e0139c, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x716e29ff, "xdr_inline_decode" },
	{ 0x96c2b3d6, "trace_raw_output_prep" },
	{ 0x68ae9bb7, "nfs_wait_client_init_complete" },
	{ 0xca9360b5, "rb_next" },
	{ 0xdf7f4571, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x46b4ebc9, "nfs_mknod" },
	{ 0x75069b49, "nfs_inode_attach_open_context" },
	{ 0x338c5306, "finish_wait" },
	{ 0x3b17e322, "rpc_localaddr" },
	{ 0x923ba578, "rpc_wake_up" },
	{ 0xe11c1890, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x797e9371, "idr_replace" },
	{ 0x8b7f7e43, "nfs_lock" },
	{ 0x1c5e0991, "unregister_key_type" },
	{ 0xd3d5dbe1, "nfs_client_init_is_complete" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe878dc37, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x9e14902b, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xb63501b9, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x2aaa8b28, "ihold" },
	{ 0x599ce66c, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x192d724c, "nfs_post_op_update_inode" },
	{ 0xae265546, "svc_exit_thread" },
	{ 0xad94eebb, "iput" },
	{ 0x5dcfd740, "logfc" },
	{ 0x1ea7f9b1, "iter_file_splice_write" },
	{ 0x358ec93f, "rpc_pton" },
	{ 0xbc758856, "nfs_sb_active" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xf5f0a4ba, "rpc_wake_up_queued_task" },
	{ 0x9493d651, "bpf_trace_run2" },
	{ 0x88102cf0, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x85b01ea5, "rpc_restart_call_prepare" },
	{ 0xe8402929, "event_triggers_call" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf3e279f3, "_copy_from_pages" },
	{ 0x44870685, "__module_get" },
	{ 0x6a0eeb59, "rpc_task_release_transport" },
	{ 0xa1bac007, "xdr_page_pos" },
	{ 0x32bdd48e, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6eeee750, "key_instantiate_and_link" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x93b73632, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xd14a4404, "register_key_type" },
	{ 0x9cad9bb, "rpc_sleep_on" },
	{ 0x54606634, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbfbb945d, "keyring_alloc" },
	{ 0x2bdc8c47, "nfs_create" },
	{ 0xc8a4250b, "complete_request_key" },
	{ 0x788aefe4, "__put_cred" },
	{ 0xea778cf9, "nfs_update_delegated_mtime" },
	{ 0x6bc57e38, "nfs_statfs" },
	{ 0x15546063, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x5608eb1f, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x6a419b4c, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc75180c7, "nfs_mkdir" },
	{ 0xf1ca95f4, "nfs_revalidate_inode" },
	{ 0x35cc822a, "nfs_file_mmap" },
	{ 0xfcfe2b29, "nfs_get_lock_context" },
	{ 0xe148fad6, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x71504686, "nfs_set_cache_invalid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe84db6f7, "xdr_enter_page" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8677eea3, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf9dcbe25, "trace_event_ignore_this_pid" },
	{ 0x270634a0, "make_kuid" },
	{ 0x686d2d3c, "truncate_inode_pages_final" },
	{ 0xab3032e, "generic_setlease" },
	{ 0xf3616cda, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x871c0c4a, "xdr_stream_decode_string_dup" },
	{ 0x950e3c52, "locks_init_lock" },
	{ 0xf1f76cb9, "rpc_destroy_pipe_data" },
	{ 0x61774888, "nfs_get_client" },
	{ 0x9292ff10, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x7c8cbea7, "nfs_atomic_open" },
	{ 0xdc605d3c, "rpc_pipe_generic_upcall" },
	{ 0x9f2a394, "nfs_file_fsync" },
	{ 0xf6d45d1d, "module_put" },
	{ 0xa19f9a50, "__var_waitqueue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd94a0a6e, "mntput" },
	{ 0xcb855475, "nfs_put_lock_context" },
	{ 0xc47c860e, "nfs_rename" },
	{ 0xed5a57b5, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xf2fb7cbf, "nfs_sysfs_link_rpc_client" },
	{ 0x7db2b0f0, "nfs_put_client" },
	{ 0xb60856c5, "nfs_show_options" },
	{ 0x39b7e97, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xefebebee, "key_put" },
	{ 0xcca979f0, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe89f224e, "get_nfs_open_context" },
	{ 0x3e3463a5, "perf_trace_run_bpf_submit" },
	{ 0xe4476d18, "nfs_clear_verifier_delegated" },
	{ 0x5b616e0c, "nfs_sysfs_add_server" },
	{ 0x49608959, "migrate_disable" },
	{ 0x5d5e9f15, "down_write" },
	{ 0xa0105413, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x82fdfc4, "nfs_do_submount" },
	{ 0x673283a, "vfs_dup_fs_context" },
	{ 0x9b7b9887, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xeb006b00, "request_key_with_auxdata" },
	{ 0x40eab387, "rpc_clone_client_set_auth" },
	{ 0x78318131, "rpc_clone_client" },
	{ 0x32c0b199, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9830f73d, "idr_alloc" },
	{ 0xf043fd79, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xb0856c87, "radix_tree_preloads" },
	{ 0x6df97ab6, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x10c90251, "put_fs_context" },
	{ 0x1d91b67e, "nfs4_dentry_operations" },
	{ 0xb54f9480, "__module_put_and_kthread_exit" },
	{ 0x819d7e0d, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x1211c2ee, "nfs_client_for_each_server" },
	{ 0x2e28ac69, "nfs_clear_inode" },
	{ 0x4f5bbf8, "rpc_sleep_on_priority" },
	{ 0x896ddf9, "nfs_invalidate_atime" },
	{ 0x73e7814c, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xff8ba149, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x92ab8a10, "nfs_getattr" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x504ce8a9, "nfs_zap_acl_cache" },
	{ 0x97a39225, "from_kgid" },
	{ 0x942f4474, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb44a1abb, "nfs_write_inode" },
	{ 0x9d34698, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x8e10e23c, "rpc_wake_up_first" },
	{ 0x522df9e1, "alloc_nfs_open_context" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x4fefa184, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x8726cbb5, "nfs_path" },
	{ 0x5e63ca8a, "rpc_sleep_on_priority_timeout" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x98461e76, "nfs_create_rpc_client" },
	{ 0x15b01f90, "register_nfs_version" },
	{ 0x143c3775, "rpc_sleep_on_timeout" },
	{ 0x2a2dfc91, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x73c961f8, "rpc_call_start" },
	{ 0x6336d996, "bpf_trace_run1" },
	{ 0x617d0653, "svc_create" },
	{ 0x79063440, "nfs_file_set_open_context" },
	{ 0x9eadf59d, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xa81f04ed, "rpc_call_sync" },
	{ 0x6384b8b0, "from_kuid" },
	{ 0x3274180, "rpc_put_task_async" },
	{ 0x5b755caa, "rpc_prepare_reply_pages" },
	{ 0xef64d804, "rpc_queue_upcall" },
	{ 0x144174b5, "nfs_free_server" },
	{ 0x3745d8ce, "fc_mount" },
	{ 0xe07afe01, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0xab03794, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb7f448a2, "nfs4_fs_type" },
	{ 0x12b13422, "__alloc_pages" },
	{ 0x4d527c0e, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xea5aac26, "rpc_delay" },
	{ 0x59e05d32, "nfs_flock" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0xc166d909, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xd91d6316, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xd8edd5cb, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0xdd63808b, "rpc_remove_pipe_dir_object" },
	{ 0x83391bfe, "nfs_may_open" },
	{ 0xed9c580d, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xba3391f6, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8d2d18d2, "down_read" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x4da34226, "xdr_reserve_space" },
	{ 0x36b8fee3, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x909a7afb, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x155621f6, "nfs_rmdir" },
	{ 0x5684fd92, "bpf_trace_run3" },
	{ 0x7bf30a5, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x5a7a91c6, "rpc_mkpipe_dentry" },
	{ 0xae84b234, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x142d4add, "rpc_add_pipe_dir_object" },
	{ 0x9a6f4f96, "igrab" },
	{ 0xf3ff8ba3, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x285a4f92, "nfs_async_iocounter_wait" },
	{ 0x83b2d1f7, "nfs_file_read" },
	{ 0x65e4b02b, "trace_event_buffer_reserve" },
	{ 0xc18f2962, "nfs_alloc_fattr_with_label" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa67b9cd, "nfs_setattr_update_inode" },
	{ 0x445c8721, "nfs_instantiate" },
	{ 0xd02d7dad, "init_user_ns" },
	{ 0x19ba34fc, "rpc_uaddr2sockaddr" },
	{ 0x3dce5983, "user_read" },
	{ 0x9c84bf93, "request_key_tag" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x7b8c3973, "svc_xprt_destroy_all" },
	{ 0x327737cb, "generic_key_instantiate" },
	{ 0xc3869af3, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x184e1346, "nfs_link" },
	{ 0xdcc451dd, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x5695faf0, "rpcauth_stringify_acceptor" },
	{ 0xbf9de9e7, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x4a6bf8e2, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xad1aa707, "put_rpccred" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x4192630, "put_nfs_open_context" },
	{ 0x36772453, "nfs_show_path" },
	{ 0xb71f85b1, "nfs_show_devname" },
	{ 0x4d1d7c9d, "nfs_permission" },
	{ 0x4fef58bd, "__put_user_ns" },
	{ 0xcd52c29d, "cred_fscmp" },
	{ 0xe8edd29d, "rpc_unlink" },
	{ 0xd74b05f9, "proc_dointvec" },
	{ 0x18b8c22c, "nfs_file_write" },
	{ 0xde883d45, "nfs_probe_server" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe27f321c, "nfs_setsecurity" },
	{ 0xde1838c5, "rpc_clnt_test_and_add_xprt" },
	{ 0xd4ded43b, "nfs_force_lookup_revalidate" },
	{ 0x6864b47f, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xab6745a4, "rpc_clnt_add_xprt" },
	{ 0x1741f58, "dget_parent" },
	{ 0xf043cc5b, "from_kuid_munged" },
	{ 0x7af964f8, "prepare_kernel_cred" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0xe1a0fee3, "nfs_alloc_server" },
	{ 0xa8f46fa0, "rpc_call_async" },
	{ 0xf5b41e0c, "filemap_write_and_wait_range" },
	{ 0x4f7ce630, "nfs_server_insert_lists" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdc0eee34, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6ee9dac0, "rpc_init_pipe_dir_object" },
	{ 0x488610fd, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xe7ebe517, "nfs_init_server_rpcclient" },
	{ 0x678de91e, "rpc_set_connect_timeout" },
	{ 0xc9fc69c9, "rpcauth_create" },
	{ 0xe629790f, "xdr_stream_pos" },
	{ 0x7d9bfe6c, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xa4f338e8, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0x580eedd6, "svc_xprt_create" },
	{ 0x83e95b82, "rpc_wait_for_completion_task" },
	{ 0xe5ee8a70, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xa7923540, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5c71c994, "rpc_destroy_wait_queue" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x9f758bf6, "nfs_fhget" },
	{ 0x881549b4, "nfs_symlink" },
	{ 0xf927b041, "locks_copy_lock" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xb446f656, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x284c203d, "nfs_set_verifier" },
	{ 0x8cba28a, "proc_dointvec_minmax" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "24FEB2F48707483EE41F43B");
MODULE_INFO(rhelversion, "9.7");
