#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x1914d51c, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xd85b3b8e, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x0cec9053, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x43e13d30, "");
SYMBOL_CRC(gss_mech_put, 0x205e3739, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x174bd63e, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xbeb48f63, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5f18343, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc66b7d5c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf3f91db2, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x7d4ae5b5, "xdr_buf_from_iov" },
	{ 0xbeabb756, "bpf_trace_run4" },
	{ 0x1b9ef2d8, "xdr_stream_decode_opaque_auth" },
	{ 0xf6826b16, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7cee6f08, "xdr_write_pages" },
	{ 0x724f94b9, "rpc_shutdown_client" },
	{ 0x2241dbf2, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x716e29ff, "xdr_inline_decode" },
	{ 0xbb4f524d, "cache_create_net" },
	{ 0x9b5a493b, "rpcauth_destroy_credcache" },
	{ 0x96c2b3d6, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xf28f30bd, "bpf_trace_run6" },
	{ 0xdf7f4571, "rpc_net_ns" },
	{ 0x491d666d, "read_bytes_from_xdr_buf" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x338c5306, "finish_wait" },
	{ 0x923ba578, "rpc_wake_up" },
	{ 0xe11c1890, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xd3459479, "sunrpc_cache_lookup_rcu" },
	{ 0x9e14902b, "prepare_to_wait" },
	{ 0xb63501b9, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x1608922f, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x9493d651, "bpf_trace_run2" },
	{ 0x88102cf0, "prepare_to_wait_event" },
	{ 0xe78fd90a, "xdr_truncate_decode" },
	{ 0xbc1cec9b, "rpcauth_unregister" },
	{ 0xe8402929, "event_triggers_call" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0xba7f9436, "__xdr_commit_encode" },
	{ 0x44870685, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9cad9bb, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x788aefe4, "__put_cred" },
	{ 0x64f87add, "register_pernet_subsys" },
	{ 0x5608eb1f, "trace_event_buffer_commit" },
	{ 0x187344b7, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xf34c7c8c, "rpc_release_client" },
	{ 0x117b34d, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeb9a18a8, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc6c3e52a, "svc_auth_register" },
	{ 0xd48998be, "xdr_stream_encode_opaque_auth" },
	{ 0xf9dcbe25, "trace_event_ignore_this_pid" },
	{ 0x270634a0, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xf1f76cb9, "rpc_destroy_pipe_data" },
	{ 0x9292ff10, "__free_pages" },
	{ 0xdc605d3c, "rpc_pipe_generic_upcall" },
	{ 0xf6d45d1d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xd65ea9a9, "cache_unregister_net" },
	{ 0x1e915749, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x3e3463a5, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbd92dc0b, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x608dfe03, "rpcauth_init_credcache" },
	{ 0x4daab2dc, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x9c68bc68, "xdr_init_decode" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0x942f4474, "trace_event_reg" },
	{ 0xd30faf2f, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x143c3775, "rpc_sleep_on_timeout" },
	{ 0xe4c41fd5, "rpc_create" },
	{ 0x6336d996, "bpf_trace_run1" },
	{ 0xa81f04ed, "rpc_call_sync" },
	{ 0x6384b8b0, "from_kuid" },
	{ 0x581050db, "unregister_pernet_subsys" },
	{ 0xef64d804, "rpc_queue_upcall" },
	{ 0x496d6994, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x12b13422, "__alloc_pages" },
	{ 0xa2ddf6d, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xf82ff85, "svcauth_unix_set_client" },
	{ 0xef9ed4e2, "xdr_buf_subsegment" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xd8edd5cb, "make_kgid" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0xdd63808b, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x4da34226, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x29e204b7, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5684fd92, "bpf_trace_run3" },
	{ 0xa87b4d3c, "__put_net" },
	{ 0x5a7a91c6, "rpc_mkpipe_dentry" },
	{ 0xae84b234, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5e3fdde8, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x65e4b02b, "trace_event_buffer_reserve" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x461980d2, "cache_register_net" },
	{ 0xd02d7dad, "init_user_ns" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x36ca2c5d, "xdr_inline_pages" },
	{ 0xdcc451dd, "__folio_put" },
	{ 0x2f708d89, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x4a6bf8e2, "rpc_init_wait_queue" },
	{ 0xad1aa707, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe8edd29d, "rpc_unlink" },
	{ 0xf187993b, "rpcauth_wrap_req_encode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xf043cc5b, "from_kuid_munged" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0x52b84b6e, "rpcauth_init_cred" },
	{ 0x948cdf2d, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe7e7bcf1, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6ee9dac0, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe629790f, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x1a26e3a2, "sunrpc_cache_update" },
	{ 0x18f1d0fe, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5c71c994, "rpc_destroy_wait_queue" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xec6c4d4, "auth_domain_put" },
	{ 0x3ab418b0, "rpcauth_unwrap_resp_decode" },
	{ 0xf7262589, "rpcauth_register" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.7");
