#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xa38034e0, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x2a0f8444, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x976dbb53, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x9d514640, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x5f0dafcb, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xdc93310c, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x6774a239, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xf033b5bc, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0xcd0fcd92, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xc75ea072, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x3c420512, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x7586aa5e, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x22cc350b, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xc9c702a2, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x5858420f, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x5aafe2e8, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xa92fbb37, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x7a373a1a, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0xde9a93ab, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xe271d317, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x424d19bf, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x1a4cdf32, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0xc5bfeaa6, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x68b21cef, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0xb6619e43, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x3cf019d4, "sock_map_close" },
	{ 0x850a3e0a, "sock_queue_rcv_skb_reason" },
	{ 0xc66b7d5c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xff5df4d4, "misc_deregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb71e23e7, "consume_skb" },
	{ 0x338c5306, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9e14902b, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf56c2260, "sock_map_unhash" },
	{ 0x3165bf25, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x44870685, "__module_get" },
	{ 0x9bf8b5a6, "sk_stream_error" },
	{ 0x8be1b716, "sk_msg_recvmsg" },
	{ 0x3a82c596, "ns_capable_noaudit" },
	{ 0x788aefe4, "__put_cred" },
	{ 0x70e207a2, "sk_error_report" },
	{ 0x8df46831, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0xd99541ca, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe7b9560a, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xdde002f5, "rt_write_unlock" },
	{ 0xed1d25ea, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf6d45d1d, "module_put" },
	{ 0x1f1aa268, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdac09ebf, "sk_skb_reason_drop" },
	{ 0x5e0bf323, "sk_free" },
	{ 0x2e32c0fa, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0xcc995109, "sock_no_listen" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc46602f5, "sock_recv_errqueue" },
	{ 0x821aa05d, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf98f7136, "mutex_lock_interruptible" },
	{ 0xe4eb63f7, "sk_alloc" },
	{ 0xdccf7d90, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x1273a26a, "misc_register" },
	{ 0x2e340b0e, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x16685eb, "sock_no_sendpage" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x29e204b7, "nonseekable_open" },
	{ 0xa04173e6, "sk_psock_drop" },
	{ 0x325a17d, "__dev_queue_xmit" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd02d7dad, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x15814fee, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xeabcdc0f, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xdbe21b66, "remove_wait_queue" },
	{ 0x77ea746a, "sock_no_ioctl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2d58e148, "sock_setsockopt" },
	{ 0xc83b3e55, "sock_init_data" },
	{ 0x46d24f62, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E3F5E8F7C1002676FDA9551");
MODULE_INFO(rhelversion, "9.7");
