#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0x22c8a9c3, "");
SYMBOL_CRC(snd_timer_instance_free, 0x5a6104ce, "");
SYMBOL_CRC(snd_timer_open, 0x95f1c74a, "");
SYMBOL_CRC(snd_timer_close, 0x9e4b3f35, "");
SYMBOL_CRC(snd_timer_resolution, 0x3eea13f5, "");
SYMBOL_CRC(snd_timer_start, 0xf75b69f3, "");
SYMBOL_CRC(snd_timer_stop, 0xfc9f1b1e, "");
SYMBOL_CRC(snd_timer_continue, 0x25e4308a, "");
SYMBOL_CRC(snd_timer_pause, 0x65ecdb9a, "");
SYMBOL_CRC(snd_timer_interrupt, 0x03eaa6f8, "");
SYMBOL_CRC(snd_timer_new, 0x6de2710d, "");
SYMBOL_CRC(snd_timer_notify, 0x265071f6, "");
SYMBOL_CRC(snd_timer_global_new, 0x36f9d6f3, "");
SYMBOL_CRC(snd_timer_global_free, 0xe31197f6, "");
SYMBOL_CRC(snd_timer_global_register, 0x84dcdb1b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa93a57a, "ida_alloc_range" },
	{ 0xc66b7d5c, "try_module_get" },
	{ 0xf2ae7cc0, "snd_info_register" },
	{ 0xd03d37f, "snd_info_create_module_entry" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x5113e0b5, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8026b1ee, "rt_mutex_base_init" },
	{ 0x35fa6c94, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x3165bf25, "add_wait_queue" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x8f0b0a29, "snd_fasync_helper" },
	{ 0x520ee2f4, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xa010291, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x6ad21b7e, "anon_inode_getfd" },
	{ 0x26545f1b, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xbbcb5d9b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xf6d45d1d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x415fa984, "noop_llseek" },
	{ 0xd67942d6, "mutex_lock" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x9d34698, "ida_free" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0x724b67a0, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb180bd3a, "snd_device_alloc" },
	{ 0x5383d8ca, "snd_device_new" },
	{ 0xdcb764ad, "memset" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xff19925c, "__init_waitqueue_head" },
	{ 0xd03f061f, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7fbbaac4, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf6cdd2aa, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa96d6898, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdbe21b66, "remove_wait_queue" },
	{ 0x496f77a8, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0x4f2d38fe, "kmalloc_trace" },
	{ 0xf78cac47, "param_ops_int" },
	{ 0x714a5918, "snd_register_device" },
	{ 0xc3981dfc, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d59c87a, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x511f3e7d, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "A02D128E220BAF278040FC0");
MODULE_INFO(rhelversion, "9.7");
